# Entering rdbms.mk

# Entering /project/linux/817/ops_src/buildtools/mkfile/prefix.mk

# Entering /project/linux/817/ops_src/buildtools/mkfile/defs.mk

SHELL=/bin/sh

AS_EXT=s
LIB_EXT=a
CC_EXT=cpp
OBJ_EXT=o
PLB_EXT=plb
SO_EXT=so
LOCK_EXT=lk
SQL_EXT=sql
SYM_EXT=sym
JAVA_EXT=java
CLASS_EXT=class
JAR_EXT=jar
ZIP_EXT=zip

LIB_PREFIX=lib
LDLIBFLAG=-l
LDPATHFLAG=-L
PATHSEP= :

AR=ar
AS=as
AWK=awk
CAT=cat
CC=cc
CCC=CC
CD=cd
CHMOD=chmod
CP=cp
CPP=cpp
DATE=date
ECHO=echo
ECHON=echo -n
EXEC=exec
FIND=find
FOLLOW=-follow
NOLEAF=-noleaf
GREP=grep
KILL=kill
SLEEP=sleep
LD=ld
LMAKE=make
LN=ln
LNS=ln -s
MKDIR=mkdir
MKDIRP=mkdir -p
MV=mv
NM=nm
PERL=perl
RM=rm
RMF=rm -f
RMRF=rm -rf
SED=sed
SORT=sort
TOUCH=touch
TR=tr
XARGS=xargs
LS=ls

BINHOME=$(ORACLE_HOME)/bin/
LIBDIR=lib
LIBHOME=$(ORACLE_HOME)/$(LIBDIR)/

PRODHOME=$(ORACLE_HOME)/$(PRODUCT)/
PRODLIBHOME=$(PRODHOME)$(LIBDIR)/
PRODSOHOME=$(PRODLIBHOME)

ECHODO=$(BINHOME)echodo
GENSYSLIB=$(BINHOME)gensyslib
GENCLNTSH=$(BINHOME)genclntsh
GENAGTSH=$(BINHOME)genagtsh
GENNAFLG=$(BINHOME)gennaflg
GENAUTAB=$(BINHOME)genautab

ARCHIVE_OBJ=$(AR) r $@ $*.$(OBJ_EXT)
ARCREATE=$(AR) cr$(ARLOCAL)
ARDELETE=$(AR) d$(ARLOCAL)
AREXTRACT=$(AR) x 
ARPRINT=$(AR) t
ARREPLACE=$(AR) r 
DOAR=$(ARCREATE) $@ $? $(RANLIB)

JARCHIVE_OBJ=$(JAR) cv0f $@ $(JPKG_FILES) $(EXTRA_CLASS_FILES)
JARCREATE=$(JAR) cv0f
JARDELETE=$(ECHO) "no such thing"
JAREXTRACT=$(JAR) xf
JARPRINT=$(JAR) tvf
JARREPLACE=$(JAR) uf

MAKE=$(LMAKE)
QUIET=>/dev/null 2>&1
QUIETE=2>/dev/null
SILENT=@
CTSMAKEFLAGS=$(SILENT:@=--no-print-directory -s)

CFLAGS=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGS) $(QACCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
CFLAGSCC=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGSCC) $(QACCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
PFLAGS=$(INCLUDE) $(SPFLAGS) $(LPFLAGS)

LD_SHARED_FLAG=$(SHARED_CFLAG)

LDCCOM=$(PURECMDS) $(CC) $(GFLAG) $(CCFLAGS) $(EXOSFLAGS) $(LDFLAGS)
LDCCOMCC=$(PURECMDS) $(CCC) $(GFLAG) $(CCFLAGSCC) $(EXOSFLAGS) $(LDFLAGS)
PURECMDS=$(PURELINK) $(PURIFY) $(PURECOV) $(QUANTIFY)
LINK=$(LDCCOM)
LINKCC=$(LDCCOMCC)
LDFLAGS=-o $@ $(LDPATHFLAG)$(PRODLIBHOME) $(LDPATHFLAG)$(LIBHOME)
LDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(EXSYSLIBS) $(MATHLIB) $(USRLIBS)
MATHLIB=-lm
LINKLDLIBS=$(LDLIBS)
COBLDLIBS=$(LDLIBS)

SYSLIBLIST=$(LIBHOME)sysliblist
SYSLIBS=`$(CAT) $(SYSLIBLIST)`

NAETTOBJS=$(NAUTAB) $(NAETAB) $(NAEDHS)
TTLIBD=$(NETLIBD) $(LIBRDBMS_CLT) $(LIBMM) $(CORELIBD) $(LIBEPC) $(LIBCLNTSH)
ORACLETTLIBS1=$(NTZEOBJ) $(NETLIBS) $(LLIBRDBMS_CLT) $(LLIBWTC) $(LLIBMM) $(CORELIBS)\
       $(NETLIBS) $(LLIBRDBMS_CLT) $(LIBPLS_CLT) $(LLIBEPC) $(CORELIBS) \
       $(LLIBRDBMS_CLT) $(CORELIBS)
ORACLETTLIBS=$(KPUADEF) $(ORACLETTLIBS1)
STATICTTLIBS=$(ORACLETTLIBS) $(LDLIBS)
TTLIBS=$(LLIBCLNTSH) $(STATICTTLIBS)
DEVTTLIBS=$(TTLIBS)
LINKTTLIBS=$(LLIBCLNTSH) $(ORACLETTLIBS) $(LINKLDLIBS)
COBTTLIBS=$(ORACLETTLIBS) $(COBLDLIBS)

STATIC_ORACLETTLIBS=$(KPUADEF) $(NTZEOBJ) $(NETLIBS) $(LIBRDBMS_CLT) \
    $(LIBMM) $(CORELIBS) $(NETLIBS) $(LIBRDBMS_CLT) $(LIBPLS_CLT) \
    $(LIBEPC) $(CORELIBS) $(LIBRDBMS_CLT) $(CORELIBS)

ORACLESTLIBS=$(SGL_ON) $(RDBMSLIB)kpuasvr.$(OBJ_EXT) $(CONFIG) $(LLIBSERVER) $(LLIBSKGXP) $(LLIBPLSF) \
       $(LLIBSLAX) \
       $(LIBGENERIC) $(LLIBCLIENT) $(LLIBWTC) $(LLIBMM) $(LLIBKNLOPT) $(LLIBPLSB)\
       $(LLIBSERVER) $(LLIBEXTP) $(NAUTAB) $(NAETAB) $(NAEDHS) $(NTZEOBJ) \
       $(NETLIBS) $(LLIBCLIENT) \
       $(LLIBPLSF) $(LLIBICX) $(LLIBOWSUTL) \
       $(LLIBJAVAVMORJOX) \
       $(NETLIBS) $(LLIBEPC) $(SDOLIBS) $(LLIBCORE) $(LLIBVSN) $(LLIBCOMMON)\
       $(LIBGENERIC) $(LLIBKNLOPT) $(NMLIBS) $(CARTLIBS) $(CORELIBS) $(LLIBWWG)
STLIBS=$(ORACLESTLIBS) $(LDLIBS)
LINKSTLIBS=$(ORACLESTLIBS) $(LINKLDLIBS)

I_SYM=-I

# Exiting /project/linux/817/ops_src/buildtools/mkfile/defs.mk
# Entering /project/linux/817/ops_src/buildtools/mkfile/platform.mk

FAMILY=unix
PLATFORM=linux

STATIC_ORACLETTLIBS=$(LLIBCLNTST) $(LDFLAGSLIST)

MOTIFHOME=
OPENWINHOME=
GUILIBHOME= 

DIRSEP=/


GMAKE=make
LMAKE=make
FIND=/usr/bin/find 
PS=ps -feda

ARCHIVE=@`if echo ${LIB} | grep lib > /dev/null 2>&1;then $(ARCREATE) $(LIB) $? ; $(RANLIB) $(LIB) ; else echo ""; fi`

JARCHIVE=@`if echo ${JLIB} | egrep '\.jar' > /dev/null 2>&1;then $(JARCREATE) $(JLIB) $? ; else echo ""; fi`

GROUP=/etc/group

LINK=$(PURECMDS) gcc $(LDFLAGS) $(COMPOBJS)

LLIBTHREAD=

MOTIFLIBS= -lXm -lXt -lX11 -lgen -lm -lXext -lX11 -lm
XLIBS=
EXOSFLAGS=

COMPOBJS=

SHAREDLIBPATH = -Wl,-rpath,$(ORACLE_HOME)/lib
EXSYSLIBS=-ldl

LLPPATH=$(LD_LIBRARYPATH)
LINKEXSYSLIBS= $(SHAREDLIBPATH):/lib:/usr/lib

LINKLDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(LINKEXSYSLIBS) $(MATHLIB) $(USRLIBS) $(LDLIBS)

OPTIMIZE3=-O3
OPTIMIZE6=-O6
OPTIMIZE=$(OPTIMIZE3)
OPTIMIZE0=-O0
OPTIMIZEG=-g

ROFLAGS=-c
SPFLAGS=-DLINUX -D_GNU_SOURCE -DSLTS_ENABLE -DSLMXMX_ENABLE -D_REENTRANT -DNS_THREADS

AR=/usr/bin/ar
AS=/usr/bin/as
LD=/usr/bin/ld
NM=/usr/bin/nm
TR=/bin/tr
CPP=/lib/cpp
CHMOD=/bin/chmod
CHGRP=/bin/chgrp
CHOWN=/bin/chown

KPIC_OPTION=-fPIC

CCC=/usr/bin/g++

ASFLAGS=
ASPFLAGS=
NOKPIC_ASFLAGS=
ASRO=$(AS) $<
ASROFLAGS=$(ASFLAGS)

ANSI=-ansi

COMPXA=$(subst -ansi,,$(COMPO))
COMPXACC=$(subst -ansi,,$(COMPOCC))


MR=
NOKPIC_CCFLAGS=
CCFLAGS= $(NOKPIC_CCFLAGS) $(KPIC_OPTION)
FASTCCFLAGS= $(NOKPIC_CCFLAGS)

SHARED_LDFLAG=-shared -L$(ORACLE_HOME)/lib -o
SHARED_CFLAG=

# Exiting /project/linux/817/ops_src/buildtools/mkfile/platform.mk
# Entering /project/linux/817/ops_src/buildtools/mkfile/rules.mk
 
# Exiting /project/linux/817/ops_src/buildtools/mkfile/rules.mk
# Exiting /project/linux/817/ops_src/buildtools/mkfile/prefix.mk
# Entering /project/linux/817/ops_src/oracore/exports.mk

COREHOME    = $(ORACLE_HOME)/oracore/
ORACOREHOME = $(COREHOME)



CORE_LIB_NAME     = core
CORE_LIB_VER      = 8
CORE_LIB          = $(CORE_LIB_NAME)$(CORE_LIB_VER)

LIBCORE_STATIC    = $(LIB_PREFIX)$(CORE_LIB).$(LIB_EXT)
LIBCORE_SHARED    = $(LIB_PREFIX)$(CORE_LIB).$(SO_EXT)
LIBCORE_SLH       = $(LIB_PREFIX)$(CORE_LIB).$(ILIB_EXT)

LIBCORE           = $(LIBHOME)$(LIBCORE_STATIC)
LLIBCORE          = $(LDLIBFLAG)$(CORE_LIB)

LIBCORE_ARC_LIB   = $(LIBCORE)
LIBCORE_SHARE_LIB = $(LIBHOME)$(LIBCORE_SHARED)


SLTS_LIB_NAME     = slts
SLTS_LIB_VER      = $(CORE_LIB_VER)
SLTS_LIB          = $(SLTS_LIB_NAME)$(SLTS_LIB_VER)

LIBSLTS_STATIC    = $(LIB_PREFIX)$(SLTS_LIB).$(LIB_EXT)
LIBSLTS_SHARED    = $(LIB_PREFIX)$(SLTS_LIB).$(SO_EXT)
LIBSLTS_SLH       = $(LIB_PREFIX)$(SLTS_LIB).$(ILIB_EXT)

LIBSLTS           = $(LIBHOME)$(LIBSLTS_STATIC)
LLIBSLTS          = $(LDLIBFLAG)$(SLTS_LIB)

LIBSLTS_ARC_LIB   = $(LIBSLTS)
LIBSLTS_SHARE_LIB = $(LIBHOME)$(LIBSLTS_SHARED)


SLF_LIB_NAME     = slf
SLF_LIB_VER      = $(CORE_LIB_VER)
SLF_LIB          = $(SLF_LIB_NAME)$(SLF_LIB_VER)

LIBSLF_STATIC    = $(LIB_PREFIX)$(SLF_LIB).$(LIB_EXT)
LIBSLF_SHARED    = $(LIB_PREFIX)$(SLF_LIB).$(SO_EXT)
LIBSLF_SLH       = $(LIB_PREFIX)$(SLF_LIB).$(ILIB_EXT)

LIBSLF           = $(LIBHOME)$(LIBSLF_STATIC)
LLIBSLF          = $(LDLIBFLAG)$(SLF_LIB)

LIBSLF_ARC_LIB   = $(LIBSLF)
LIBSLF_SHARE_LIB = $(LIBHOME)$(LIBSLF_SHARED)


XB8_LIB_NAME     = xb8
XB8_LIB_VER      = $(CORE_LIB_VER)
XB8_LIB          = $(XB8_LIB_NAME)$(XB8_LIB_VER)

LIBXB8_STATIC    = $(LIB_PREFIX)$(XB8_LIB).$(LIB_EXT)
LIBXB8_SHARED    = $(LIB_PREFIX)$(XB8_LIB).$(SO_EXT)
LIBXB8_SLH       = $(LIB_PREFIX)$(XB8_LIB).$(ILIB_EXT)

LIBXB8           = $(LIBHOME)$(LIBXB8_STATIC)
LLIBXB8          = $(LDLIBFLAG)$(XB8_LIB)

LIBXB8_ARC_LIB   = $(LIBXB8)
LIBXB8_SHARE_LIB = $(LIBHOME)$(LIBXB8_SHARED)


LEH_LIB_NAME     = leh
LEH_LIB_VER      = $(CORE_LIB_VER)
LEH_LIB          = $(LEH_LIB_NAME)$(LEH_LIB_VER)

LIBLEH_STATIC    = $(LIB_PREFIX)$(LEH_LIB).$(LIB_EXT)
LIBLEH_SHARED    = $(LIB_PREFIX)$(LEH_LIB).$(SO_EXT)
LIBLEH_SLH       = $(LIB_PREFIX)$(LEH_LIB).$(ILIB_EXT)

LIBLEH           = $(LIBHOME)$(LIBLEH_STATIC)
LLIBLEH          = $(LDLIBFLAG)$(LEH_LIB)

LIBLEH_ARC_LIB   = $(LIBLEH)
LIBLEH_SHARE_LIB = $(LIBHOME)$(LIBLEH_SHARED)


XML_LIB_NAME     = xml
XML_LIB_VER      = $(CORE_LIB_VER)
XML_LIB          = $(XML_LIB_NAME)$(XML_LIB_VER)

LIBXML_STATIC    = $(LIB_PREFIX)$(XML_LIB).$(LIB_EXT)
LIBXML_SHARED    = $(LIB_PREFIX)$(XML_LIB).$(SO_EXT)
LIBXML_SLH       = $(LIB_PREFIX)$(XML_LIB).$(ILIB_EXT)

LIBXML           = $(LIBHOME)$(LIBXML_STATIC)
LLIBXML          = $(LDLIBFLAG)$(XML_LIB)

LIBXML_ARC_LIB	 = $(LIBXML)
LIBXML_SHARE_LIB = $(LIBHOME)$(LIBXML_SHARED)


XMLCG_LIB_NAME     = xmlg
XMLCG_LIB_VER      = $(CORE_LIB_VER)
XMLCG_LIB          = $(XMLCG_LIB_NAME)$(XMLCG_LIB_VER)

LIBXMLCG_STATIC    = $(LIB_PREFIX)$(XMLCG_LIB).$(LIB_EXT)
LIBXMLCG_SHARED    = $(LIB_PREFIX)$(XMLCG_LIB).$(SO_EXT)
LIBXMLCG_SLH       = $(LIB_PREFIX)$(XMLCG_LIB).$(ILIB_EXT)

LIBXMLCG           = $(LIBHOME)$(LIBXMLCG_STATIC)
LLIBXMLCG          = $(LDLIBFLAG)$(XMLCG_LIB)

LIBXMLCG_ARC_LIB   = $(LIBXMLCG)
LIBXMLCG_SHARE_LIB = $(LIBHOME)$(LIBXMLCG_SHARED)


XML815C_LIB_NAME     = xmlc
XML815C_LIB_VER      = $(CORE_LIB_VER)
XML815C_LIB          = $(XML815C_LIB_NAME)$(XML815C_LIB_VER)

LIBXML815C_STATIC    = $(LIB_PREFIX)$(XML815C_LIB).$(LIB_EXT)
LIBXML815C_SHARED    = $(LIB_PREFIX)$(XML815C_LIB).$(SO_EXT)
LIBXML815C_SLH       = $(LIB_PREFIX)$(XML815C_LIB).$(ILIB_EXT)

LIBXML815C           = $(LIBHOME)$(LIBXML815C_STATIC)
LLIBXML815C          = $(LDLIBFLAG)$(XML815C_LIB)

LIBXML815C_ARC_LIB   = $(LIBXML815C)
LIBXML815C_SHARE_LIB = $(LIBHOME)$(LIBXML815C_SHARED)


XML816C_LIB_NAME     = xmlc
XML816C_LIB_VER      = $(CORE_LIB_VER)
XML816C_LIB          = $(XML816C_LIB_NAME)$(XML816C_LIB_VER)

LIBXML816C_STATIC    = $(LIB_PREFIX)$(XML816C_LIB).$(LIB_EXT)
LIBXML816C_SHARED    = $(LIB_PREFIX)$(XML816C_LIB).$(SO_EXT)
LIBXML816C_SLH       = $(LIB_PREFIX)$(XML816C_LIB).$(ILIB_EXT)

LIBXML816C           = $(LIBHOME)$(LIBXML816C_STATIC)
LLIBXML816C          = $(LDLIBFLAG)$(XML816C_LIB)

LIBXML816C_ARC_LIB   = $(LIBXML816C)
LIBXML816C_SHARE_LIB = $(LIBHOME)$(LIBXML816C_SHARED)


S0MAIN   = $(LIBHOME)s0main.$(OBJ_EXT)
S1MAIN_C = $(COREHOME)src/corehl/lpm/sosd/main/s1main.c
SCOREPT  = $(LIBHOME)scorept.$(OBJ_EXT)
SSCOREED = $(LIBHOME)sscoreed.$(OBJ_EXT)

COREPUBLIC=$(COREHOME)include $(COREHOME)public/

ORACOREPUBH=$(I_SYM)$(COREHOME)include $(I_SYM)$(COREHOME)public $(I_SYM)$(COREHOME)port/include


CORELIBD = $(LIBNLSRTL) $(LIBCV6) $(LIBCORE) $(LIBNLSRTL) $(LIBCORE) \
             $(LIBNLSRTL) 
CORELIBS = $(LLIBNLSRTL) $(LLIBCV6) $(LLIBCORE) $(LLIBNLSRTL) $(LLIBCORE) \
             $(LLIBNLSRTL) 


# Entering /project/linux/817/ops_src/oracore/s_exports.mk
 
# Exiting /project/linux/817/ops_src/oracore/s_exports.mk
# Exiting /project/linux/817/ops_src/oracore/exports.mk
# Entering /project/linux/817/ops_src/nlsrtl/exports.mk

NLSRTLHOME= $(ORACLE_HOME)/nlsrtl/


ORA_NLS = $(ORACLE_HOME)/ocommon/nls/admin/data/
ORA_NLS33 = $(ORACLE_HOME)/ocommon/nls/admin/data/

LIBNLSRTLNAME = nls8
LIBNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)
LLIBNLSRTL= $(LDLIBFLAG)$(LIBNLSRTLNAME)$(LIB_SUFFIX)

NLSRTLPUBH = $(I_SYM)$(NLSRTLHOME)include

JNLSHOME = $(ORACLE_HOME)/nlsrtl3/java
JNLSCLASSES = $(ORACLE_HOME)/nlsrtl/lib/jnls.zip
JNLSCHARSET = $(ORACLE_HOME)/nlsrtl/lib/jnls_charset.zip

# Entering /project/linux/817/ops_src/nlsrtl/s_exports.mk


# Exiting /project/linux/817/ops_src/nlsrtl/s_exports.mk
# Exiting /project/linux/817/ops_src/nlsrtl/exports.mk
# Entering /project/linux/817/ops_src/encryption/exports.mk

ENCRYPTIONHOME  = $(ORACLE_HOME)/encryption/
ENCRYPTIONLIB   = $(ENCRYPTIONHOME)$(LIBDIR)/
ENCRYPTIONJLIB   = $(ENCRYPTIONHOME)jlib/
ENCRYPTIONPUBH  = $(I_SYM)$(ENCRYPTIONHOME)include

VER             =8
BASENAME        =n
CRYPTNAME       =${BASENAME}crypt${VER}
LIBSNS          =$(ENCRYPTIONLIB)$(LIB_PREFIX)$(CRYPTNAME).$(LIB_EXT)

RSASTDNAME	=rsastd
BCERTNAME	=bcert
NZRNAME		=nzr
LIBRSASTD	=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(RSASTDNAME).$(LIB_EXT)
LIBBCERT	=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(BCERTNAME).$(LIB_EXT)
LIBNZR		=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(NZRNAME).$(LIB_EXT)
ASONAME		=aso$(JDKVER)
JASOJAR		=$(ENCRYPTIONJLIB)$(ASONAME).$(JAR_EXT)

# Entering /project/linux/817/ops_src/encryption/s_exports.mk

# Exiting /project/linux/817/ops_src/encryption/s_exports.mk
# Exiting /project/linux/817/ops_src/encryption/exports.mk
# Entering /project/linux/817/ops_src/network/exports.mk
# Entering /project/linux/817/ops_src/network/s_exports.mk


NAETAB64	= $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS64	= $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB64	= $(LIBHOME)$(NAUTAB_OBJ)


# Exiting /project/linux/817/ops_src/network/s_exports.mk

# Entering /project/linux/817/ops_src/network/libnames.mk


VER         =8
BASENAME    =n
NETWORKLIB  = $(NETWORKHOME)$(LIBDIR)/
NETWORKJLIB = $(NETWORKHOME)jlib/

COMMONNAME=${BASENAME}${VER}
NLNAME=${BASENAME}l${VER}
TCPNAME=${BASENAME}tcp${VER}
DECNETNAME=${BASENAME}dec${VER}
LU62NAME=${BASENAME}lu62${VER}
MBNAME=${BASENAME}mb${VER}
DCENAME=${BASENAME}dce${VER}
BEQNAME=${BASENAME}beq${VER}
IPCNAME=${BASENAME}ipc${VER}
SPXNAME=${BASENAME}spx${VER}
TLINAME=${BASENAME}tli${VER}
TLITNAME=${BASENAME}tlit${VER}
TLISNAME=${BASENAME}tlis${VER}
TLIDNAME=${BASENAME}tlid${VER}
USNAME=${BASENAME}us${VER}
SHMNAME=${BASENAME}shm${VER}
TCPSNAME=${BASENAME}tcps${VER}
ENTRUSTNAME=${BASENAME}ent${VER}
ENTRUSTRNAME=${BASENAME}entr${VER}
NSGRNAME=${BASENAME}sgr${VER}
LSNRNAME=${BASENAME}lsnr${VER}
LSNRCNAME=${BASENAME}lsnrc${VER}
K5NAME=${BASENAME}k5${VER}
RADNAME=${BASENAME}rad${VER}
IDXNAME=${BASENAME}idx${VER}
GSSNAME=${BASENAME}gss${VER}
SIDNAME=${BASENAME}sid${VER}
OSSNAME=${BASENAME}oss${VER}
NTSNAME=${BASENAME}nts${VER}
NSSNAME=${BASENAME}nss${VER}
ONNAME=${BASENAME}on${VER}
ONDNAME=${BASENAME}ond${VER}
ONCNAME=${BASENAME}onc${VER}
ONCJNAME=${BASENAME}oncj${VER}
RONAME=${BASENAME}ro${VER}
ROCNAME=${BASENAME}roc${VER}
ROXNAME=${BASENAME}rox${VER}
ROTNAME=${BASENAME}rot${VER}
CMNAME=${BASENAME}cm${VER}
NHOSTNAME=${BASENAME}host${VER}
TNSNAME=${BASENAME}tns${VER}
ORACLENAME=${BASENAME}oname${VER}
NISNAME=${BASENAME}nis${VER}
CDSNAME=${BASENAME}cds${VER}
NDSNAME=${BASENAME}nds${VER}
LDAPNAME=${BASENAME}ldap${VER}
LDAPJNAME=${BASENAME}ldapj${VER}
SSLBNAME=${BASENAME}sslb${VER}
NUJNINAME=${BASENAME}jni${VER}
NZJSNAME=${BASENAME}zjs${VER}
JSSLNAME=${BASENAME}jssl${VER}
OWMNAME=owm2

NMPNAME=${BASENAME}nmp${VER}

TANAME=${BASENAME}ta${VER}
TALNAME=${BASENAME}tal${VER}
TNSAPINAME=tnsapi${VER}

LDAPCLNTNAME=ldapclnt${VER}

NZRNAME=nzr



SNLPTDUM         =  $(NETWORKLIB)snlptdum.$(OBJ_EXT) 
OSNTABST         = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT            = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

LIBNETWORK	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBTHINNCR       =  $(NETWORKLIB)$(LIB_PREFIX)$(ROTNAME).$(LIB_EXT)

LIBONCJ          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCJNAME).$(SO_EXT)
LIBNUJNI         =  $(NETWORKLIB)$(LIB_PREFIX)$(NUJNINAME).$(SO_EXT)
LIBJSSL          =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(SO_EXT)
LIBOWM           =  $(NETWORKLIB)$(LIB_PREFIX)$(OWMNAME).$(SO_EXT)
LIBLDAPJ         =  $(NETWORKLIB)$(LIB_PREFIX)$(LDAPJNAME).$(SO_EXT)
LOC_LIBONCJ      =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCJNAME).$(LIB_EXT)
LOC_LIBOWM       =  $(NETWORKLIB)$(LIB_PREFIX)$(OWMNAME).$(LIB_EXT)
LOC_LIBJSSL      =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(LIB_EXT)
LOC_LIBLDAPJ     =  $(NETWORKLIB)$(LIB_PREFIX)$(LDAPJNAME).$(LIB_EXT)

LIBNCR           =  $(NETWORKLIB)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LIBNFP           =  $(NETWORKLIB)$(LIB_PREFIX)$(CMNAME).$(LIB_EXT)
LIBNI            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCC          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCNAME).$(LIB_EXT)
LIBNND           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONDNAME).$(LIB_EXT)
LIBNNO           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONNAME).$(LIB_EXT)
LIBNSGR          =  $(NETWORKLIB)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LIBNSGL          =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRNAME).$(LIB_EXT)
LIBNSGLC         =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRCNAME).$(LIB_EXT)

LLIBNCR           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)
LLIBNFP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CMNAME)$(ILIB_SUFFIX)
LLIBNI            =  $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)
LLIBNNCC          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONCNAME)$(ILIB_SUFFIX)
LLIBNND           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONDNAME)$(ILIB_SUFFIX)
LLIBNNO           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONNAME)$(ILIB_SUFFIX)
LLIBNSGR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)
LLIBNSGL          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRNAME)$(ILIB_SUFFIX)
LLIBNSGLC         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRCNAME)$(ILIB_SUFFIX)

LIBNAUK5         =  $(NETWORKLIB)$(LIB_PREFIX)$(K5NAME).$(LIB_EXT)
LIBNAUS          =  $(NETWORKLIB)$(LIB_PREFIX)$(SIDNAME).$(LIB_EXT)
LIBNAUR          =  $(NETWORKLIB)$(LIB_PREFIX)$(RADNAME).$(LIB_EXT)
LIBNAUI          =  $(NETWORKLIB)$(LIB_PREFIX)$(IDXNAME).$(LIB_EXT)
LIBNAUG          =  $(NETWORKLIB)$(LIB_PREFIX)$(GSSNAME).$(LIB_EXT)
LIBNAUZ          =  $(NETWORKLIB)$(LIB_PREFIX)$(OSSNAME).$(LIB_EXT)
LIBNAUNTS        =  $(NETWORKLIB)$(LIB_PREFIX)$(NTSNAME).$(LIB_EXT)

LLIBNAUK5         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(K5NAME)$(ILIB_SUFFIX)
LLIBNAUS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(SIDNAME)$(ILIB_SUFFIX)
LLIBNAUR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RADNAME)$(ILIB_SUFFIX)
LLIBNAUI          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(IDXNAME)$(ILIB_SUFFIX)
LLIBNAUG          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(GSSNAME)$(ILIB_SUFFIX)
LLIBNAUZ          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(OSSNAME)$(ILIB_SUFFIX)
LLIBNAUNTS        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NTSNAME)$(ILIB_SUFFIX)



LIBNTT           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LIBNTZ           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME).$(LIB_EXT)
LIBNTZSTUB       =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME)_std.$(LIB_EXT)
LIBNTZE          =  $(NETWORKLIB)$(LIB_PREFIX)$(ENTRUSTNAME).$(LIB_EXT)
LIBNTZER         =  $(NETWORKLIB)$(LIB_PREFIX)$(ENTRUSTRNAME).$(LIB_EXT)
LIBNTS           =  $(NETWORKLIB)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LIBNTD           =  $(NETWORKLIB)$(LIB_PREFIX)$(DECNETNAME).$(LIB_EXT)
LIBNTOD          =  $(NETWORKLIB)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LIBCDS           =  $(NETWORKLIB)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LIBNTLU62        =  $(NETWORKLIB)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LIBNTTLI	 =  $(NETWORKLIB)$(LIB_PREFIX)$(TLINAME).$(LIB_EXT)
LIBNTUS          =  $(NETWORKLIB)$(LIB_PREFIX)$(USNAME).$(LIB_EXT)
LIBNTSHM         =  $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME).$(LIB_EXT)
LIBNTP           =  $(NETWORKLIB)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNTNP          =  $(NETWORKLIB)$(LIB_PREFIX)$(NMPNAME).$(LIB_EXT)

LLIBNTT           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)
LLIBNTZ           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPSNAME)$(ILIB_SUFFIX)
LLIBNTZE          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ENTRUSTNAME)$(ILIB_SUFFIX)
LLIBNTS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)
LLIBNTD           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DECNETNAME)$(ILIB_SUFFIX)
LLIBNTOD          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)
LLIBCDS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)
LLIBNTLU62        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)
LLIBNTTLI	 =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TLINAME)$(ILIB_SUFFIX)
LLIBNTUS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(USNAME)$(ILIB_SUFFIX)
LLIBNTSHM        = $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME)$(ILIB_SUFFIX)
LLIBNTP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(BEQNAME)$(ILIB_SUFFIX)
LLIBNTNP          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NMPNAME)$(ILIB_SUFFIX)

LIBNL1           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBNL2           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)

LIBNL            =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LLIBNL           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NLNAME)$(ILIB_SUFFIX)


LIBNUAPI         =  $(NETWORKLIB)$(LIB_PREFIX)$(TANAME).$(LIB_EXT)
LIBNULOCAL       =  $(NETWORKLIB)$(LIB_PREFIX)$(TALNAME).$(LIB_EXT)

LLIBNUAPI         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL       =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)


LLIBTNSAPI       = $(LDLIBFLAG)$(ILIB_PREFIX)$(TNSAPINAME)$(ILIB_SUFFIX)
LLIBNUAPI	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)
LLIBSSL          = #$(LDLIBFLAG)$(ILIB_PREFIX)sslref-bsafe$(ILIB_SUFFIX)
LLIBSSLB         = $(LDLIBFLAG)$(ILIB_PREFIX)$(SSLBNAME)$(ILIB_SUFFIX)
LLIBNZJS 	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(NZJSNAME)$(ILIB_SUFFIX)


LIBNA            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAE           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAU           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNLNV          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMP           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCI          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNFG          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNG           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNPL           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNR            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNS            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNT            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNTR           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNZ            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMS0          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBSSLREF 	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)


LIBTNSAPI        =  $(NETWORKLIB)$(LIB_PREFIX)$(TNSAPINAME).$(LIB_EXT)

LIBSSLB          =  $(NETWORKLIB)$(LIB_PREFIX)$(SSLBNAME).$(LIB_EXT)

LIBNZJS          =  $(NETWORKLIB)$(LIB_PREFIX)$(NZJSNAME).$(LIB_EXT)

LDAPSYSLIBD = $(LIBHOME)$(LIB_PREFIX)$(LDAPCLNTNAME).$(LIB_EXT)
LDAPSYSLIBS = $(LDLIBFLAG)$(ILIB_PREFIX)$(LDAPCLNTNAME)$(ILIB_SUFFIX)

# Exiting /project/linux/817/ops_src/network/libnames.mk

# Entering /project/linux/817/ops_src/buildtools/mkfile/prefix.mk

# Entering /project/linux/817/ops_src/buildtools/mkfile/defs.mk

SHELL=/bin/sh

AS_EXT=s
LIB_EXT=a
CC_EXT=cpp
OBJ_EXT=o
PLB_EXT=plb
SO_EXT=so
LOCK_EXT=lk
SQL_EXT=sql
SYM_EXT=sym
JAVA_EXT=java
CLASS_EXT=class
JAR_EXT=jar
ZIP_EXT=zip

LIB_PREFIX=lib
LDLIBFLAG=-l
LDPATHFLAG=-L
PATHSEP= :

AR=ar
AS=as
AWK=awk
CAT=cat
CC=cc
CCC=CC
CD=cd
CHMOD=chmod
CP=cp
CPP=cpp
DATE=date
ECHO=echo
ECHON=echo -n
EXEC=exec
FIND=find
FOLLOW=-follow
NOLEAF=-noleaf
GREP=grep
KILL=kill
SLEEP=sleep
LD=ld
LMAKE=make
LN=ln
LNS=ln -s
MKDIR=mkdir
MKDIRP=mkdir -p
MV=mv
NM=nm
PERL=perl
RM=rm
RMF=rm -f
RMRF=rm -rf
SED=sed
SORT=sort
TOUCH=touch
TR=tr
XARGS=xargs
LS=ls

BINHOME=$(ORACLE_HOME)/bin/
LIBDIR=lib
LIBHOME=$(ORACLE_HOME)/$(LIBDIR)/

PRODHOME=$(ORACLE_HOME)/$(PRODUCT)/
PRODLIBHOME=$(PRODHOME)$(LIBDIR)/
PRODSOHOME=$(PRODLIBHOME)

ECHODO=$(BINHOME)echodo
GENSYSLIB=$(BINHOME)gensyslib
GENCLNTSH=$(BINHOME)genclntsh
GENAGTSH=$(BINHOME)genagtsh
GENNAFLG=$(BINHOME)gennaflg
GENAUTAB=$(BINHOME)genautab

ARCHIVE_OBJ=$(AR) r $@ $*.$(OBJ_EXT)
ARCREATE=$(AR) cr$(ARLOCAL)
ARDELETE=$(AR) d$(ARLOCAL)
AREXTRACT=$(AR) x 
ARPRINT=$(AR) t
ARREPLACE=$(AR) r 
DOAR=$(ARCREATE) $@ $? $(RANLIB)

JARCHIVE_OBJ=$(JAR) cv0f $@ $(JPKG_FILES) $(EXTRA_CLASS_FILES)
JARCREATE=$(JAR) cv0f
JARDELETE=$(ECHO) "no such thing"
JAREXTRACT=$(JAR) xf
JARPRINT=$(JAR) tvf
JARREPLACE=$(JAR) uf

MAKE=$(LMAKE)
QUIET=>/dev/null 2>&1
QUIETE=2>/dev/null
SILENT=@
CTSMAKEFLAGS=$(SILENT:@=--no-print-directory -s)

CFLAGS=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGS) $(QACCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
CFLAGSCC=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGSCC) $(QACCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
PFLAGS=$(INCLUDE) $(SPFLAGS) $(LPFLAGS)

LD_SHARED_FLAG=$(SHARED_CFLAG)

LDCCOM=$(PURECMDS) $(CC) $(GFLAG) $(CCFLAGS) $(EXOSFLAGS) $(LDFLAGS)
LDCCOMCC=$(PURECMDS) $(CCC) $(GFLAG) $(CCFLAGSCC) $(EXOSFLAGS) $(LDFLAGS)
PURECMDS=$(PURELINK) $(PURIFY) $(PURECOV) $(QUANTIFY)
LINK=$(LDCCOM)
LINKCC=$(LDCCOMCC)
LDFLAGS=-o $@ $(LDPATHFLAG)$(PRODLIBHOME) $(LDPATHFLAG)$(LIBHOME)
LDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(EXSYSLIBS) $(MATHLIB) $(USRLIBS)
MATHLIB=-lm
LINKLDLIBS=$(LDLIBS)
COBLDLIBS=$(LDLIBS)

SYSLIBLIST=$(LIBHOME)sysliblist
SYSLIBS=`$(CAT) $(SYSLIBLIST)`

NAETTOBJS=$(NAUTAB) $(NAETAB) $(NAEDHS)
TTLIBD=$(NETLIBD) $(LIBRDBMS_CLT) $(LIBMM) $(CORELIBD) $(LIBEPC) $(LIBCLNTSH)
ORACLETTLIBS1=$(NTZEOBJ) $(NETLIBS) $(LLIBRDBMS_CLT) $(LLIBWTC) $(LLIBMM) $(CORELIBS)\
       $(NETLIBS) $(LLIBRDBMS_CLT) $(LIBPLS_CLT) $(LLIBEPC) $(CORELIBS) \
       $(LLIBRDBMS_CLT) $(CORELIBS)
ORACLETTLIBS=$(KPUADEF) $(ORACLETTLIBS1)
STATICTTLIBS=$(ORACLETTLIBS) $(LDLIBS)
TTLIBS=$(LLIBCLNTSH) $(STATICTTLIBS)
DEVTTLIBS=$(TTLIBS)
LINKTTLIBS=$(LLIBCLNTSH) $(ORACLETTLIBS) $(LINKLDLIBS)
COBTTLIBS=$(ORACLETTLIBS) $(COBLDLIBS)

STATIC_ORACLETTLIBS=$(KPUADEF) $(NTZEOBJ) $(NETLIBS) $(LIBRDBMS_CLT) \
    $(LIBMM) $(CORELIBS) $(NETLIBS) $(LIBRDBMS_CLT) $(LIBPLS_CLT) \
    $(LIBEPC) $(CORELIBS) $(LIBRDBMS_CLT) $(CORELIBS)

ORACLESTLIBS=$(SGL_ON) $(RDBMSLIB)kpuasvr.$(OBJ_EXT) $(CONFIG) $(LLIBSERVER) $(LLIBSKGXP) $(LLIBPLSF) \
       $(LLIBSLAX) \
       $(LIBGENERIC) $(LLIBCLIENT) $(LLIBWTC) $(LLIBMM) $(LLIBKNLOPT) $(LLIBPLSB)\
       $(LLIBSERVER) $(LLIBEXTP) $(NAUTAB) $(NAETAB) $(NAEDHS) $(NTZEOBJ) \
       $(NETLIBS) $(LLIBCLIENT) \
       $(LLIBPLSF) $(LLIBICX) $(LLIBOWSUTL) \
       $(LLIBJAVAVMORJOX) \
       $(NETLIBS) $(LLIBEPC) $(SDOLIBS) $(LLIBCORE) $(LLIBVSN) $(LLIBCOMMON)\
       $(LIBGENERIC) $(LLIBKNLOPT) $(NMLIBS) $(CARTLIBS) $(CORELIBS) $(LLIBWWG)
STLIBS=$(ORACLESTLIBS) $(LDLIBS)
LINKSTLIBS=$(ORACLESTLIBS) $(LINKLDLIBS)

I_SYM=-I

# Exiting /project/linux/817/ops_src/buildtools/mkfile/defs.mk
# Entering /project/linux/817/ops_src/buildtools/mkfile/platform.mk

FAMILY=unix
PLATFORM=linux

STATIC_ORACLETTLIBS=$(LLIBCLNTST) $(LDFLAGSLIST)

MOTIFHOME=
OPENWINHOME=
GUILIBHOME= 

DIRSEP=/


GMAKE=make
LMAKE=make
FIND=/usr/bin/find 
PS=ps -feda

ARCHIVE=@`if echo ${LIB} | grep lib > /dev/null 2>&1;then $(ARCREATE) $(LIB) $? ; $(RANLIB) $(LIB) ; else echo ""; fi`

JARCHIVE=@`if echo ${JLIB} | egrep '\.jar' > /dev/null 2>&1;then $(JARCREATE) $(JLIB) $? ; else echo ""; fi`

GROUP=/etc/group

LINK=$(PURECMDS) gcc $(LDFLAGS) $(COMPOBJS)

LLIBTHREAD=

MOTIFLIBS= -lXm -lXt -lX11 -lgen -lm -lXext -lX11 -lm
XLIBS=
EXOSFLAGS=

COMPOBJS=

SHAREDLIBPATH = -Wl,-rpath,$(ORACLE_HOME)/lib
EXSYSLIBS=#-ldl

LLPPATH=$(LD_LIBRARYPATH)
LINKEXSYSLIBS= $(SHAREDLIBPATH):/lib:/usr/lib

LINKLDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(LINKEXSYSLIBS) $(MATHLIB) $(USRLIBS) $(LDLIBS)

OPTIMIZE3=-O3
OPTIMIZE6=-O6
OPTIMIZE=$(OPTIMIZE3)
OPTIMIZE0=-O0
OPTIMIZEG=-g

ROFLAGS=-c
SPFLAGS=-DLINUX -D_GNU_SOURCE -DSLTS_ENABLE -DSLMXMX_ENABLE -D_REENTRANT -DNS_THREADS

AR=/usr/bin/ar
AS=/usr/bin/as
LD=/usr/bin/ld
NM=/usr/bin/nm
TR=/bin/tr
CPP=/lib/cpp
CHMOD=/bin/chmod
CHGRP=/bin/chgrp
CHOWN=/bin/chown

KPIC_OPTION=-fPIC

CCC=/usr/bin/g++

ASFLAGS=
ASPFLAGS=
NOKPIC_ASFLAGS=
ASRO=$(AS) $<
ASROFLAGS=$(ASFLAGS)

ANSI=-ansi

COMPXA=$(subst -ansi,,$(COMPO))
COMPXACC=$(subst -ansi,,$(COMPOCC))


MR=
NOKPIC_CCFLAGS=
CCFLAGS= $(NOKPIC_CCFLAGS) $(KPIC_OPTION)
FASTCCFLAGS= $(NOKPIC_CCFLAGS)

SHARED_LDFLAG=-shared -L$(ORACLE_HOME)/lib -o
SHARED_CFLAG=

# Exiting /project/linux/817/ops_src/buildtools/mkfile/platform.mk
# Entering /project/linux/817/ops_src/buildtools/mkfile/rules.mk
 
# Exiting /project/linux/817/ops_src/buildtools/mkfile/rules.mk
# Exiting /project/linux/817/ops_src/buildtools/mkfile/prefix.mk

# Entering /project/linux/817/ops_src/encryption/exports.mk

ENCRYPTIONHOME  = $(ORACLE_HOME)/encryption/
ENCRYPTIONLIB   = $(ENCRYPTIONHOME)$(LIBDIR)/
ENCRYPTIONJLIB   = $(ENCRYPTIONHOME)jlib/
ENCRYPTIONPUBH  = $(I_SYM)$(ENCRYPTIONHOME)include

VER             =8
BASENAME        =n
CRYPTNAME       =${BASENAME}crypt${VER}
LIBSNS          =$(ENCRYPTIONLIB)$(LIB_PREFIX)$(CRYPTNAME).$(LIB_EXT)

RSASTDNAME	=rsastd
BCERTNAME	=bcert
NZRNAME		=nzr
LIBRSASTD	=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(RSASTDNAME).$(LIB_EXT)
LIBBCERT	=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(BCERTNAME).$(LIB_EXT)
LIBNZR		=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(NZRNAME).$(LIB_EXT)
ASONAME		=aso$(JDKVER)
JASOJAR		=$(ENCRYPTIONJLIB)$(ASONAME).$(JAR_EXT)

# Entering /project/linux/817/ops_src/encryption/s_exports.mk

# Exiting /project/linux/817/ops_src/encryption/s_exports.mk
# Exiting /project/linux/817/ops_src/encryption/exports.mk

NETWORKHOME  = $(ORACLE_HOME)/network/
NETWORKADMIN = $(NETWORKHOME)admin/
NETWORKINSTALL  = $(NETWORKHOME)install/
NETWORKDEMO     = $(NETWORKHOME)demo/

# Entering /project/linux/817/ops_src/network/adapters.mk

# Entering /project/linux/817/ops_src/network/s_adapters.mk

# Exiting /project/linux/817/ops_src/network/s_adapters.mk

# Exiting /project/linux/817/ops_src/network/adapters.mk

LIBNTTCP     = $(LIBHOME)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LLIBNTTCP    = $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)

LIBNTOD      = $(LIBHOME)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LLIBNTOD     = $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)

LIBCDS      = $(LIBHOME)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LLIBCDS     = $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)

LIBNTLU62    = $(LIBHOME)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LLIBNTLU62   = $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)

LIBNTS       = $(LIBHOME)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LLIBNTS      = $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)

LIBNETWORK   = $(LIBHOME)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LLIBNETWORK  = $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)

LIBNSGR      = $(LIBHOME)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LLIBNSGR     = $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)

LIBSQLNET  = $(LDFLAGSLIST) $(ANOLIBD) $(PROTOCOLLIBD) $(NATIVELIBD) $(NATIVESYSLIBD) $(LIBNSGR) $(LIBNZJS) $(LIBNETWORK) $(LIBNL)
LLIBSQLNET = $(LDFLAGSLIST) $(ANOLIBS) $(PROTOCOLLIBS) $(NATIVELIBS) $(NATIVESYSLIBS) $(LLIBNSGR) $(LLIBNZJS) $(LLIBNETWORK) $(LLIBNL)

LIBRPC       = $(LIBHOME)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LLIBRPC      = $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)

TNSLSNR	     = $(BINHOME)tnslsnr$(EXE_SUFFIX)
LSNRCTL	     = $(BINHOME)lsnrctl$(EXE_SUFFIX)
NAMES	     = $(BINHOME)names$(EXE_SUFFIX)
NAMESCTL     = $(BINHOME)namesctl$(EXE_SUFFIX)

NIGTAB       = $(LIBHOME)nigtab.$(OBJ_EXT)
NIGCON       = $(LIBHOME)nigcon.$(OBJ_EXT) 
NTCONTAB     = $(LIBHOME)ntcontab.$(OBJ_EXT)
MTS_NCR	     = $(LIBHOME)ncrstab.$(OBJ_EXT)

OSNTABST     = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT        = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

NAETAB       = $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS	     = $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB_OBJ   = nautab.$(OBJ_EXT)
NAUTAB	     = $(LIBHOME)$(NAUTAB_OBJ)

NETLIBS      = $(LLIBSQLNET) $(LLIBRPC) $(LLIBSQLNET)
NETLIBD      = $(LIBSQLNET) $(LIBRPC)

LDFLAGSFILE=$(LIBHOME)ldflags
LDFLAGSLIST=`$(CAT) $(LDFLAGSFILE)`

LIBNTP       = $(LIBHOME)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNL        = $(LIBHOME)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBSSLB      = $(LIBHOME)$(LIB_PREFIX)$(SSLBNAME).$(LIB_EXT)


# Exiting /project/linux/817/ops_src/network/exports.mk
# Entering /project/linux/817/ops_src/ldap/exports.mk

LDAP_VERSION=8

LIBGSLSSFNAME= gslssf$(LDAP_VERSION)
LLIBGSLSSF= $(LDLIBFLAG)$(LIBGSLSSFNAME)$(LIB_SUFFIX)
LIBGSLSSF= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSSFNAME).$(LIB_EXT)

LIBGSLSSBNAME= gslssb$(LDAP_VERSION)
LLIBGSLSSB= $(LDLIBFLAG)$(LIBGSLSSBNAME)$(LIB_SUFFIX)
LIBGSLSSB= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSSBNAME).$(LIB_EXT)

LIBGSLBER_SNAME= gslber_s$(LDAP_VERSION)
LLIBGSLBER_S= $(LDLIBFLAG)$(LIBGSLBER_SNAME)$(LIB_SUFFIX)
LIBGSLBER_S= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLBER_SNAME).$(LIB_EXT)

LIBGSLAVLNAME= gslavl$(LDAP_VERSION)
LLIBGSLAVL= $(LDLIBFLAG)$(LIBGSLAVLNAME)$(LIB_SUFFIX)
LIBGSLAVL= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLAVLNAME).$(LIB_EXT)

LIBGSLRNAME= gslr$(LDAP_VERSION)
LLIBGSLR= $(LDLIBFLAG)$(LIBGSLRNAME)$(LIB_SUFFIX)
LIBGSLR= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLRNAME).$(LIB_EXT)

LIBGSLDBNAME= gsldb$(LDAP_VERSION)
LLIBGSLDB= $(LDLIBFLAG)$(LIBGSLDBNAME)$(LIB_SUFFIX)
LIBGSLDB= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLDBNAME).$(LIB_EXT)

LIBGSLSGNAME= gslsg$(LDAP_VERSION)
LLIBGSLSG= $(LDLIBFLAG)$(LIBGSLSGNAME)$(LIB_SUFFIX)
LIBGSLSG= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSGNAME).$(LIB_EXT)

LIBNCRYPTNAME= ncrypt$(LDAP_VERSION)
LLIBNCRYPT= $(LDLIBFLAG)$(LIBNCRYPTNAME)$(LIB_SUFFIX)
LIBNCRYPT= $(LIBHOME)$(LIB_PREFIX)$(LIBNCRYPTNAME).$(LIB_EXT)

LIBSGSL_SNAME= sgsl_s$(LDAP_VERSION)
LLIBSGSL_S= $(LDLIBFLAG)$(LIBSGSL_SNAME)$(LIB_SUFFIX)
LIBSGSL_S= $(LIBHOME)$(LIB_PREFIX)$(LIBSGSL_SNAME).$(LIB_EXT)

LIBLDAPCLNTNAME= ldapclnt$(LDAP_VERSION)
LIBLDAPCLNT= $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPCLNTNAME).$(LIB_EXT)
LLIBLDAPCLNT= $(LDLIBFLAG)$(LIBLDAPCLNTNAME)

LDAPHOME=    $(ORACLE_HOME)/ldap/
LDAPBIN=     $(LDAPHOME)$(BINDIR)/
LDAPLIB=     $(LDAPHOME)$(LIBDIR)/

LDAPPUBH=    $(I_SYM)$(LDAPHOME)public $(I_SYM)$(LDAPHOME)include


# Entering /project/linux/817/ops_src/ldap/s_exports.mk


# Exiting /project/linux/817/ops_src/ldap/s_exports.mk
# Exiting /project/linux/817/ops_src/ldap/exports.mk
# Entering /project/linux/817/ops_src/plsql/exports.mk

VERSION=8

WRAP=$(BINHOME)wrap

LIBPLSNAME=pls
LIBPLSN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(VERSION).$(LIB_EXT)
LLIBPLS=$(LDLIBFLAG)$(LIBPLSNAME)$(VERSION) 
LIBPLSNSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLSNAME).$(SO_EXT)
ILIBPLSN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLSNAME).$(ILIB_EXT)
LIBPLPNAME=plp
LIBPLPN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLPNAME)$(VERSION).$(LIB_EXT)
LLIBPLP=$(LDLIBFLAG)$(LIBPLPNAME)$(VERSION)
LIBPLPNSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLPNAME).$(SO_EXT)
ILIBPLPN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLPNAME).$(ILIB_EXT)
LIBPLCNAME=plc
LIBPLCN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLCNAME)$(VERSION).$(LIB_EXT)
LLIBPLC=$(LDLIBFLAG)$(LIBPLCNAME)$(VERSION)
LIBPLCSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLCNAME).$(SO_EXT)
ILIBPLCN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLCNAME).$(ILIB_EXT)

LIBEXTP=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(VERSION).$(LIB_EXT)
LLIBEXTP=$(LDLIBFLAG)$(LIBPLSNAME)$(VERSION)

LIBPLSF=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(VERSION).$(LIB_EXT) 
LLIBPLSF=$(LDLIBFLAG)$(LIBPLSNAME)$(VERSION) $(LDLIBFLAG)$(LIBPLPNAME)$(VERSION)

LIBPLSB=$(LIBHOME)$(LIBPLSNAME)$(VERSION)
LLIBPLSB=$(LDLIBFLAG)$(LIBPLSNAME)$(VERSION)

PLSQLLIBS=$(LIBPLSN) $(LIBPLPN)
LPLSQLLIBS=$(LLIBPLS)


LLIBPLSQL= $(LPLSQLLIBS) $(LLIBPLP)

LIBPSANAME=psa
LIBICD=$(LIBHOME)$(LIB_PREFIX)$(LIBPLPNAME)$(VERSION).$(LIB_EXT)
LLIBICD=$(LDLIBFLAG)$(LIBPLPNAME)$(VERSION)
LIBPSD=$(LIBHOME)$(LIB_PREFIX)$(LIBPLCNAME)$(VERSION).$(LIB_EXT)
LLIBPSD=$(LDLIBFLAG)$(LIBPLCNAME)$(VERSION)
LIBPSA=$(LIBHOME)$(LIB_PREFIX)$(LIBPSANAME)$(VERSION).$(LIB_EXT)
LLIBPSA=$(LDLIBFLAG)$(LIBPSANAME)$(VERSION)

PLSQLHOME=$(ORACLE_HOME)/plsql/

# Entering /project/linux/817/ops_src/plsql/s_exports.mk
 
# Exiting /project/linux/817/ops_src/plsql/s_exports.mk
# Exiting /project/linux/817/ops_src/plsql/exports.mk
# Entering /project/linux/817/ops_src/precomp/exports.mk

TOP=$(ORACLE_HOME)/precomp

LIBSQLNAME=sql8
LLIBSQL=$(LDLIBFLAG)$(LIBSQLNAME)$(LIB_SUFFIX)
LIBSQL=$(LIBHOME)$(LIB_PREFIX)$(LIBSQLNAME).$(LIB_EXT)

PRECOMP_PRD=precomp
PRECOMPHOME=$(ORACLE_HOME)/precomp/
PRECOMPADMIN=$(PRECOMPHOME)admin/
PRECOMPLIB=$(PRECOMPHOME)$(LIBDIR)/

PRECOMPPUBH=$(I_SYM)$(PRECOMPHOME)public $(I_SYM)$(PRECOMPHOME)include

# Entering /project/linux/817/ops_src/precomp/s_exports.mk
 
# Exiting /project/linux/817/ops_src/precomp/s_exports.mk
# Exiting /project/linux/817/ops_src/precomp/exports.mk
# Entering /project/linux/817/ops_src/slax/exports.mk

TOP = $(ORACLE_HOME)/slax

LIBSLAXNAME=slax8
LLIBSLAX=$(LDLIBFLAG)$(LIBSLAXNAME)$(LIB_SUFFIX)
LIBSLAX=$(LIBHOME)$(LIB_PREFIX)$(LIBSLAXNAME).$(LIB_EXT)

SLAX_PRD=slax
SLAXHOME=$(ORACLE_HOME)/slax/
SLAXADMIN=$(SLAXHOME)admin/
SLAXLIB=$(SLAXHOME)$(LIBDIR)/
 
SLAXPUBH=$(I_SYM)$(SLAXHOME)include

# Entering /project/linux/817/ops_src/slax/s_exports.mk

# Exiting /project/linux/817/ops_src/slax/s_exports.mk
# Exiting /project/linux/817/ops_src/slax/exports.mk
# Entering /project/linux/817/ops_src/otrace/exports.mk

LIBTRACENAME=trace8
LIBTRACE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACENAME).$(LIB_EXT)
LLIBTRACE=$(LDLIBFLAG)$(LIBTRACENAME)$(LIB_SUFFIX)
LIBEPC=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACENAME).$(LIB_EXT)
LLIBEPC=$(LDLIBFLAG)$(LIBTRACENAME)$(LIB_SUFFIX)

LIBTRACEPTNAME=tracept8
LIBTRACEPT=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPTNAME).$(LIB_EXT)
LLIBTRACEPT=$(LDLIBFLAG)$(LIBTRACEPTNAME)$(LIB_SUFFIX)
LIBEPCPT=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPTNAME).$(LIB_EXT)
LLIBEPCPT=$(LDLIBFLAG)$(LIBTRACEPTNAME)$(LIB_SUFFIX)

LIBTRACEFENAME=tracefe8
LIBTRACEFE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEFENAME).$(LIB_EXT)
LLIBTRACEFE=$(LDLIBFLAG)$(LIBTRACEFENAME)$(LIB_SUFFIX)
LIBEPCFE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEFENAME).$(LIB_EXT)
LLIBEPCFE=$(LDLIBFLAG)$(LIBTRACEFENAME)$(LIB_SUFFIX)

LIBTRACEPLSNAME=tracepls8
LIBTRACEPLS=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPLSNAME).$(LIB_EXT)
LLIBTRACEPLS=$(LDLIBFLAG)$(LIBTRACEPLSNAME)$(LIB_SUFFIX)
LIBEPCPLS=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPLSNAME).$(LIB_EXT)
LLIBEPCPLS=$(LDLIBFLAG)$(LIBTRACEPLSNAME)$(LIB_SUFFIX)

# Entering /project/linux/817/ops_src/otrace/s_exports.mk

# Exiting /project/linux/817/ops_src/otrace/s_exports.mk
# Exiting /project/linux/817/ops_src/otrace/exports.mk
# Entering /project/linux/817/ops_src/icx/exports.mk

VERSION=8
LIBICXNAME=dbicx$(VERSION)
LIBICX= $(LIBHOME)$(LIB_PREFIX)$(LIBICXNAME).$(LIB_EXT)
LIBICXSHR= $(LIBHOME)$(LIB_PREFIX)$(LIBICXNAME).$(SO_EXT)
ILIBICX= $(LIBHOME)$(LIB_PREFIX)$(LIBICXNAME).$(ILIB_EXT)

LLIBICX= $(LDLIBFLAG)$(LIBICXNAME)



# Entering /project/linux/817/ops_src/icx/s_exports.mk
 
# Exiting /project/linux/817/ops_src/icx/s_exports.mk
# Exiting /project/linux/817/ops_src/icx/exports.mk
# Entering /project/linux/817/ops_src/owsutl/exports.mk
 
# Entering /project/linux/817/ops_src/icx/exports.mk

VERSION=8
LIBICXNAME=dbicx$(VERSION)
LIBICX= $(LIBHOME)$(LIB_PREFIX)$(LIBICXNAME).$(LIB_EXT)
LIBICXSHR= $(LIBHOME)$(LIB_PREFIX)$(LIBICXNAME).$(SO_EXT)
ILIBICX= $(LIBHOME)$(LIB_PREFIX)$(LIBICXNAME).$(ILIB_EXT)

LLIBICX= $(LDLIBFLAG)$(LIBICXNAME)



# Entering /project/linux/817/ops_src/icx/s_exports.mk
 
# Exiting /project/linux/817/ops_src/icx/s_exports.mk
# Exiting /project/linux/817/ops_src/icx/exports.mk

LIBOWSUTLNAME=$(LIBICXNAME)
LIBOWSUTL= $(LIBHOME)/$(LIB_PREFIX)$(LIBOWSUTLNAME).$(LIB_EXT)
LIBOWSUTLSHR= $(LIBHOME)/$(LIB_PREFIX)$(LIBOWSUTLNAME).$(SO_EXT)
ILIBOWSUTL= $(LIBHOME)/$(LIB_PREFIX)$(LIBOWSUTLNAME).$(ILIB_EXT)
 
LLIBOWSUTL= $(LDLIBFLAG)$(LIBOWSUTLNAME)

# Entering /project/linux/817/ops_src/owsutl/s_exports.mk
 
# Exiting /project/linux/817/ops_src/owsutl/s_exports.mk
# Exiting /project/linux/817/ops_src/owsutl/exports.mk
# Entering /project/linux/817/ops_src/ordts/exports.mk

LIBKIDTNAME = ordts8
LLIBKIDT = $(LDLIBFLAG)$(LIBKIDTNAME)$(LIB_SUFFIX)

# Entering /project/linux/817/ops_src/ordts/s_exports.mk


# Exiting /project/linux/817/ops_src/ordts/s_exports.mk
# Exiting /project/linux/817/ops_src/ordts/exports.mk
# Entering /project/linux/817/ops_src/spatial/exports.mk

LIBORDSDONAME=ordsdo8
LIBORDSDO=$(SDOLIB)$(LIB_PREFIX)$(LIBORDSDONAME).$(LIB_EXT)
LLIBORDSDO=$(LDLIBFLAG)$(LIB_PREFIX)$(LIBORDSDONAME).$(LIB_EXT)

# Exiting /project/linux/817/ops_src/spatial/exports.mk
# Entering /project/linux/817/ops_src/ctx/exports.mk



LIBCTXS8NAME=ctxs8
LIBCTXS8 = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXS8NAME).$(LIB_EXT)
LLIBCTXS8 = $(LDLIBFLAG)$(LIBCTXS8NAME)$(LIB_SUFFIX)

LIBCTXWKLNAME=wkl
LIBCTXWK = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXWKLNAME).$(LIB_EXT)
LLIBCTXWKL = $(LDLIBFLAG)$(LIBCTXWKLNAME)$(LIB_SUFFIX)

LIBCTXC8NAME=ctxc8
LIBCTXC8 = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXC8NAME).$(LIB_EXT)
LLIBCTXC8 = $(LDLIBFLAG)$(LIBCTXC8NAME)$(LIB_SUFFIX)

LIBCTX8NAME=ctx8
LIBCTX8 = $(CTXLIB)$(LIB_PREFIX)$(LIBCTX8NAME).$(LIB_EXT)
LLIBCTX8 = $(LDLIBFLAG)$(LIBCTX8NAME)$(LIB_SUFFIX)
 
LIBZX8NAME=zx8
LIBZX8 = $(CTXLIB)$(LIB_PREFIX)$(LIBZX8NAME).$(LIB_EXT)
LLIBZX8 = $(LDLIBFLAG)$(LIBZX8NAME)$(LIB_SUFFIX)
 
LIBGX8NAME=gx8
LIBGX8 = $(CTXLIB)$(LIB_PREFIX)$(LIBGX8NAME).$(LIB_EXT)
LLIBGX8 = $(LDLIBFLAG)$(LIBGX8NAME)$(LIB_SUFFIX)
 
CTX_LINK = $(LLIBCTXC8) $(LLIBCTX8) $(LLIBZX8) $(LLIBGX8) $(LLIBCTX8) $(LLIBZX8) $(LLIBGX8)

CTXHOME=$(ORACLE_HOME)/ctx/

CTXPUBH=$(I_SYM)$(CTXHOME)public

CTXLIB=$(CTXHOME)lib/

# Entering /project/linux/817/ops_src/ctx/s_exports.mk
# Exiting /project/linux/817/ops_src/ctx/s_exports.mk
# Exiting /project/linux/817/ops_src/ctx/exports.mk
# Entering /project/linux/817/ops_src/ordvir/exports.mk




LIBORDVIRTNAME=  ordvirt8
LOC_LIBORDVIRT=  $(LIB_PREFIX)$(LIBORDVIRTNAME).$(LIB_EXT)
LIBORDVIRT=      $(LIBHOME)$(LOC_LIBORDVIRT)
LLIBORDVIRT=     $(LDLIBFLAG)$(LIBORDVIRTNAME)$(LIB_SUFFIX)
ILIBORDVIRT=     $(LIBHOME)$(LIB_PREFIX)$(LIBORDVIRTNAME).$(ILIB_EXT)

LLIBKIDRT=   $(LLIBORDVIRT)
LIBKIDRT=    $(LIBORDVIRT)


LIBORDVIRNAME=    ordvir8
LOC_LIBORDVIR=    $(LIB_PREFIX)$(LIBORDVIRNAME).$(LIB_EXT)
LIBORDVIR=        $(LIBHOME)$(LOC_LIBORDVIR)
LOC_LIBORDVIRSHR= $(LIB_PREFIX)$(LIBORDVIRNAME).$(SO_EXT)
LIBORDVIRSHR=     $(LIBHOME)$(LOC_LIBORDVIRSHR)
ILIBORDVIR=       $(LIBHOME)$(LIB_PREFIX)$(LIBORDVIRNAME).$(ILIB_EXT)

LOC_ZIPORDVIR=    ordvir.$(ZIP_EXT)
ZIPORDVIR=        $(ORDVIRLIB)$(LOC_ZIPORDVIR)

LOC_ZIPORDVIR817=    ordvir817.$(ZIP_EXT)
ZIPORDVIR817=        $(ORDVIRLIB)$(LOC_ZIPORDVIR817)

LOC_LIBKIDRSHR= $(LOC_LIBORDVIRSHR)
LIBKIDRSHR=     $(LIBORDVIRSHR)
LIBKIDR=        $(LIBORDVIR)


# Entering /project/linux/817/ops_src/ordvir/s_exports.mk

# Exiting /project/linux/817/ops_src/ordvir/s_exports.mk
# Exiting /project/linux/817/ops_src/ordvir/exports.mk
# Entering /project/linux/817/ops_src/javavm/exports.mk
LIBJAVAVM=$(LIBHOME)$(LIB_PREFIX)aurora.$(LIB_EXT)
LLIBJAVAVM=$(LDLIBFLAG)aurora

# Entering s_exports.mk




SKGXP_EXT=$(LIB_EXT)

# Exiting s_exports.mk
# Exiting /project/linux/817/ops_src/javavm/exports.mk
# Entering /project/linux/817/ops_src/wwg/exports.mk

VERSION=8

LIBWWGNAME=wwg
LIBWWG=$(LIBHOME)$(LIB_PREFIX)$(LIBWWGNAME)$(VERSION).$(LIB_EXT)
LLIBWWG=$(LDLIBFLAG)$(LIBWWGNAME)$(VERSION)

WWGHOME=$(ORACLE_HOME)/wwg/

WWGPUBH=$(I_SYM)$(WWGHOME)public 

# Entering /project/linux/817/ops_src/wwg/s_exports.mk

# Exiting /project/linux/817/ops_src/wwg/s_exports.mk
# Exiting /project/linux/817/ops_src/wwg/exports.mk
# Entering /project/linux/817/ops_src/jis/exports.mk
# Exiting /project/linux/817/ops_src/jis/exports.mk

# Entering /project/linux/817/ops_src/rdbms/exports.mk


RDBMS_VERSION = 8
LIBSERVERNAME=server$(RDBMS_VERSION)
LIBSERVER=$(LIBHOME)$(LIB_PREFIX)$(LIBSERVERNAME).$(LIB_EXT)
LLIBSERVER=$(LDLIBFLAG)$(LIBSERVERNAME)$(LIB_SUFFIX)

LIBCLIENTNAME=client$(RDBMS_VERSION)
LIBCLIENT=$(LIBHOME)$(LIB_PREFIX)$(LIBCLIENTNAME).$(LIB_EXT)
LLIBCLIENT=$(LDLIBFLAG)$(LIBCLIENTNAME)

LIBCLNTSTNAME=clntst$(RDBMS_VERSION)
LIBCLNTST=$(LIBHOME)$(LIB_PREFIX)$(LIBCLNTSTNAME).$(LIB_EXT)
LLIBCLNTST=$(LDLIBFLAG)$(LIBCLNTSTNAME)

LIBGENERICNAME=generic$(RDBMS_VERSION)
LIBGENERIC=$(LIBHOME)$(LIB_PREFIX)$(LIBGENERICNAME).$(LIB_EXT)
LLIBGENERIC=$(LDLIBFLAG)$(LIBGENERICNAME)

LIBDSBTSHNAME=dsbtsh$(RDBMS_VERSION)
LIBDSBTSH=$(RDBMSLIB)$(LIB_PREFIX)$(LIBDSBTSHNAME).$(SO_EXT)

LIBOBKSHNAME=obk
LIBOBKSH=$(RDBMSLIB)$(LIB_PREFIX)$(LIBOBKSHNAME).$(SO_EXT)

LIBSKGXPNAME=skgxp$(RDBMS_VERSION)
LIBSKGXP=$(LIBHOME)$(LIB_PREFIX)$(LIBSKGXPNAME).$(SKGXP_EXT)
LLIBSKGXP=$(LDLIBFLAG)$(LIBSKGXPNAME)

LIBSKGXP_CLT=
LLIBSKGXP_CLT=

LIBCOMMONNAME=common$(RDBMS_VERSION)
LIBCOMMON=$(LIBHOME)$(LIB_PREFIX)$(LIBCOMMONNAME).$(LIB_EXT)
LLIBCOMMON=$(LDLIBFLAG)$(LIBCOMMONNAME)

LIBVSNNAME=vsn$(RDBMS_VERSION)
LIBVSN=$(LIBHOME)$(LIB_PREFIX)$(LIBVSNNAME).$(LIB_EXT)
LLIBVSN=$(LDLIBFLAG)$(LIBVSNNAME)

LIBAGENTNAME=agent$(RDBMS_VERSION)
LIBAGENT=$(LIBHOME)$(LIB_PREFIX)$(LIBAGENTNAME).$(LIB_EXT)
LLIBAGENT=$(LDLIBFLAG)$(LIBAGENTNAME)

LIBDBTOOLSNAME=dbtools$(RDBMS_VERSION)
LIBDBTOOLS=$(RDBMSLIB)$(LIB_PREFIX)$(LIBDBTOOLSNAME).$(LIB_EXT)
LLIBDBTOOLS=$(LDLIBFLAG)$(LIBDBTOOLSNAME)

LIBWTCNAME=wtc$(RDBMS_VERSION)
LIBWTC=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCNAME).$(LIB_EXT)
LLIBWTC=$(LDLIBFLAG)$(LIBWTCNAME)

LIBWTCSERVERNAME=wtcserver$(RDBMS_VERSION)
LIBWTCSERVER=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCSERVERNAME).$(LIB_EXT)
LLIBWTCSERVER=$(LDLIBFLAG)$(LIBWTCSERVERNAME)

DLMHOME=$(ORACLE_HOME)/odlm/

SKGXNS=$(RDBMSLIB)skgxns.$(OBJ_EXT)
SKGXND=$(RDBMSLIB)skgxnd.$(OBJ_EXT)
SKGXN=$(RDBMSLIB)skgxn.$(OBJ_EXT)

KPUASVR = $(RDBMSLIB)kpuasvr.$(OBJ_EXT)
KPUADEF = $(RDBMSLIB)kpuadef.$(OBJ_EXT)

LIBDLMNAME=udlm
LIBDLM=$(SKGXN) $(LIBHOME)$(LIB_PREFIX)$(LIBDLMNAME).$(LIB_EXT)
LLIBDLM=$(SKGXN) $(LDLIBFLAG)$(LIBDLMNAME)

LIBNM=$(LIBDLM)
LLIBNM=$(LLIBDLM)
NMLIBLIST=$(RDBMSLIB)nmliblist
NMLIBS=`$(CAT) $(NMLIBLIST)`

LIBMMNAME=mm
LIBMM=$(LIBHOME)$(LIB_PREFIX)$(LIBMMNAME).$(LIB_EXT)
LLIBMM=$(LDLIBFLAG)$(LIBMMNAME)


LIBRDBMS_CLT=$(LIBCLIENT) $(LIBSKGXP_CLT) $(LIBVSN) $(LIBWTC) $(LIBCOMMON) \
	$(LIBGENERIC)
LLIBRDBMS_CLT=$(LLIBCLIENT) $(LLIBSKGXP_CLT) $(LLIBVSN) $(LLIBWTC) \
	$(LLIBCOMMON) $(LLIBGENERIC)

LIBRDBMS_SERVER=$(LIBCLIENT) $(LIBSKGXP_CLT) $(LIBVSN) $(LIBWTCSERVER) \
	$(LIBCOMMON) $(LIBGENERIC)
LLIBRDBMS_SERVER=$(LLIBCLIENT) $(LLIBSKGXP_CLT) $(LLIBVSN) $(LLIBWTCSERVER) \
	$(LLIBCOMMON) $(LLIBGENERIC)

LIBCLNTSHNAME=clntsh
LIBCLNTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBCLNTSHNAME).$(SO_EXT)
LLIBCLNTSH=$(LDLIBFLAG)$(LIBCLNTSHNAME)

LIBAGTSHNAME=agtsh
LIBAGTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBAGTSHNAME).$(SO_EXT)
LLIBAGTSH=$(LDLIBFLAG)$(LIBAGTSHNAME)

LIBSHWTC=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCNAME).$(SO_EXT)
LLIBSHWTC=$(LDLIBFLAG)$(LIBWTCNAME)

LIBKNLOPTNAME=knlopt
LIBKNLOPT=$(RDBMSLIB)$(LIB_PREFIX)$(LIBKNLOPTNAME).$(LIB_EXT)
LLIBKNLOPT=$(LDLIBFLAG)$(LIBKNLOPTNAME)

CONFIG = $(RDBMSLIB)config.$(OBJ_EXT)



LLIBORDSDO=$(LDLIBFLAG)$(LIBORDSDONAME)$(LIB_SUFFIX)
SDOLIBS = `if ${AR} tv ${ORACLE_HOME}/rdbms/lib/$(LIB_PREFIX)$(LIBKNLOPTNAME).$(LIB_EXT) | $(GREP) "kxmnsd.o" > /dev/null 2>&1 ; then echo " " ; else echo "${LLIBORDSDO}"; fi`

DEF_ON= $(RDBMSLIB)kpudfo.$(OBJ_EXT)
DEF_OFF= $(RDBMSLIB)kpundf.$(OBJ_EXT)
DEF_OPT= $(RDBMSLIB)defopt.$(OBJ_EXT)

LIBSVRMGRLNAME=svrmgrl
LIBSLPMNAME=slpm
LIBSVRM= $(LIBHOME)smalmain.$(OBJ_EXT) $(LIBHOME)$(LIB_PREFIX)$(LIBSVRMGRLNAME).$(LIB_EXT) $(LIBHOME)$(LIB_PREFIX)$(LIBSLPMNAME).$(LIB_EXT)
LLIBSVRM= $(LIBHOME)smalmain.$(OBJ_EXT) $(LDLIBFLAG)$(LIBSVRMGRLNAME) $(LDLIBFLAG)$(LIBSLPMNAME)

RDBMSHOME=$(ORACLE_HOME)/rdbms/
RDBMSLIB=$(RDBMSHOME)lib/
RDBMSADMIN=$(RDBMSHOME)admin/

# Entering /project/linux/817/ops_src/rdbms/s_exports.mk




SKGXP_EXT=$(LIB_EXT)

# Exiting /project/linux/817/ops_src/rdbms/s_exports.mk
# Exiting /project/linux/817/ops_src/rdbms/exports.mk

PRODUCT=rdbms
PRODHOME=$(ORACLE_HOME)/$(PRODUCT)/
PRODLIBHOME=$(PRODHOME)$(LIBDIR)/
PRODSOHOME=$(PRODLIBHOME)

HSPRODHOME=$(ORACLE_HOME)/hs/
HSLIB=$(HSPRODHOME)$(LIBDIR)/

LDFLAGSLIST=`$(SED) -e 's/-ljava//g' $(LDFLAGSFILE)`
CLNTLDFLAGSLIST=`$(CAT) $(LDFLAGSFILE)`                                         


LIBKNLOPTSHIPNAME=knlopt_ship
LIBVSNEENAME=vsn_ee$(RDBMS_VERSION)
LIBVSNSTDNAME=vsn_std$(RDBMS_VERSION)

LIBDSBT=$(LOC_LIBDSBTSH)
LIBQSMA=$(LOC_LIBQSMASHR)
LIBS=$(LOC_LIBOBK) $(LIBQSMA) $(LIBWTC) $(LOC_LIBOCITRC)

SHLIBS=$(LIBOBKSH) $(LIBSHWTC)
DLOPENLIBS=$(LIBQSMASHR) $(LOC_LIBOCITRCSH)

INS_CONFIG=$(CONFIG)

CARTLIBS= $(LLIBKIDT) $(CTX_LINK) $(LLIBKIDRT)
CARTLIBD= $(LLIBKIDT) $(CTX_LINK) $(LLIBKIDRT)
HS_OCI_DRIVER=$(RDBMSLIB)hoaoci.$(OBJ_EXT)
HS_DEP_DRIVER=$(RDBMSLIB)hoax.$(OBJ_EXT)
HS_OTS_DRIVER=$(RDBMSLIB)hoat.$(OBJ_EXT)

HS_XASWITCH_ORA=$(RDBMSLIB)hsxaora.$(OBJ_EXT)

HSALLMAI = $(RDBMSLIB)horm.$(OBJ_EXT)		# hs all modules main
HSSQLMAI = $(RDBMSLIB)horms.$(OBJ_EXT)	# hs SQL main
HSDEPMAI = $(RDBMSLIB)hormd.$(OBJ_EXT)	# hs DEP main
HSOTSMAI = $(RDBMSLIB)hormt.$(OBJ_EXT)	# hs OTS main
HSAGTSHC = $(RDBMSLIB)homts.$(OBJ_EXT)	# multi-threaded agent 
HSODBCMAI   = $(HSLIB)hsodbc.$(OBJ_EXT)	# hsodbc main
HSOLEFSMAI  = $(HSLIB)hsolefs.$(OBJ_EXT)	# hsolefs main
HSOLESQLMAI = $(HSLIB)hsolesql.$(OBJ_EXT)	# hsolesql main
TG4IFMXMAI  = $(HSLIB)tg4ifmx.$(OBJ_EXT)	# tg4ifmx main
TG4INGRMAI  = $(HSLIB)tg4ingr.$(OBJ_EXT)	# tg4ingr main
TG4MSQLMAI  = $(HSLIB)tg4msql.$(OBJ_EXT)	# tg4msql main
TG4RDBMAI   = $(HSLIB)tg4rdb.$(OBJ_EXT)	# tg4rdb main
TG4RMSMAI   = $(HSLIB)tg4rms.$(OBJ_EXT)	# tg4rms main
TG4SYBSMAI  = $(HSLIB)tg4sybs.$(OBJ_EXT)	# tg4rms main

LIBNAVHOANAME=navhoa
LIBNAVHOA=$(HSLIB)$(LIB_PREFIX)$(LIBNAVHOANAME).$(LIB_EXT)
LLIBNAVHOA=$(LDLIBFLAG)$(LIBNAVHOANAME)

LIBNAVSHRNAME=navshr
LIBNAVSHR=$(HSLIB)$(LIB_PREFIX)$(LIBNAVSHRNAME).$(LIB_EXT)
LLIBNAVSHR=$(LDLIBFLAG)$(LIBNAVSHRNAME)

LIBNVBASESHRNAME=nvbaseshr
LIBNVBASESHR=$(HSLIB)$(LIB_PREFIX)$(LIBNVBASESHRNAME).$(LIB_EXT)
LLIBNVBASESHR=$(LDLIBFLAG)$(LIBNVBASESHRNAME)


HSALIB_SUBSET1=$(DEF_OPT) $(HSA_OSDLINK_PREPEND) $(HSAGTSHC) $(SSDBED)
HSALIB_SUBSET2=$(LLIBAGTSH) $(LLIBPLSQL) $(LLIBTHREAD)  $(LLIBCLNTSH) \
	$(CORELIBS) $(LINKLDLIBS) $(HSA_OSDLINK_APPEND)

HSALIBSET= $(HSALIB_SUBSET1) \
	$(LDPATHFLAG)$(HSLIB) \
	$(LLIBNAVHOA) $(LLIBNAVSHR) $(LLIBNVBASESHR) \
	$(HSALIB_SUBSET2)



VER_ENT= vsnfprd.$(OBJ_EXT)
VER_STD= vsnfstd.$(OBJ_EXT)
VER_PO= vsnfpo.$(OBJ_EXT)
VSNNTP= vsnntp.$(OBJ_EXT)
VSNSTD= vsnstd.$(OBJ_EXT)
VSNPO= vsnpo.$(OBJ_EXT)

VER_ENT_DEPS=knlopt_local $(RDBMSLIB)$(VER_ENT)
VER_STD_DEPS=knlopt_local $(RDBMSLIB)$(VER_STD) obj_on ops_off part_off
VER_PO_DEPS=knlopt_local $(RDBMSLIB)$(VER_PO) obj_on ops_off part_off

PLS_ON= kkxwtp.$(OBJ_EXT)
PLS_OFF= kkxntp.$(OBJ_EXT)
PLSQAENV=$(ORACLE_HOME)/plsql/utl/plsqaenv
PLSQLUTL=$(ORACLE_HOME)/plsql/utl/
PLSQLSCRIPTS=$(PLSQLUTL)scripts/
PLSQASTART=T_COM:plsqastart.tsc

JOXOPT_FILE=$(RDBMSLIB)joxopt.txt
JOXOFF_OFILE= joxoff.$(OBJ_EXT)
JOX_OFILE=jox.$(OBJ_EXT)
JOXWTP_OFILE= joxwtp.$(OBJ_EXT)

JOX_BOM=$(RDBMSADMIN)jox.bom

JOXNAME=jox$(RDBMS_VERSION)
LIBJOXNAME=$(LIB_PREFIX)$(JOXNAME)
LLIBJOX=$(LDLIBFLAG)$(JOXNAME)
LLIBJAVAVMORJOX=$(LLIBJOX) $(LLIBSERVER)
SHLIBJOX=$(JAVAVM_SHLIB_SOHOME)$(LIBJOXNAME).$(SO_EXT)

OPS_ON= kcsm.$(OBJ_EXT)
OPS_OFF= ksnkcs.$(OBJ_EXT)

DDB_ON= ktd.$(OBJ_EXT)
DDB_OFF= ksnktd.$(OBJ_EXT)

SDO_ON= kxmwsd.$(OBJ_EXT)
SDO_OFF= kxmnsd.$(OBJ_EXT)

CTX_ON= kciwcx.$(OBJ_EXT)
CTX_OFF= kcincx.$(OBJ_EXT)

OBJ_ON= kokiobj.$(OBJ_EXT)
OBJ_OFF= koknobj.$(OBJ_EXT)

PART_ON= kkpoban.$(OBJ_EXT)
PART_OFF= ksnkkpo.$(OBJ_EXT)

LIL_ON= $(LIB_PREFIX)lil.$(LIB_EXT)
LIL_OFF= sllfls.$(OBJ_EXT)

XAS_ON=$(LIBSQL)
XAS_OFF=xaonsl.$(OBJ_EXT)
 
XAD_OFF=xaondy.$(OBJ_EXT)

SQLLIBS=

KPT_ON=kprwts.$(OBJ_EXT)
KPT_OFF=kprnts.$(OBJ_EXT)

SGL_ON=$(OSNTABST) $(RDBMSLIB)ttcsoi.$(OBJ_EXT) $(RDBMSLIB)ttcoerr.$(OBJ_EXT)
SGL_OFF=$(NIGTAB)

EMBEDDED_ON=$(NIGTAB) $(RDBMSLIB)kpuasvr.$(OBJ_EXT) $(RDBMSLIB)ttcsoi.$(OBJ_EXT) $(RDBMSLIB)ttcoerr.$(OBJ_EXT)

ORAMAI = $(RDBMSLIB)opimai.$(OBJ_EXT)
SSORED = $(RDBMSLIB)ssoraed.$(OBJ_EXT)
IMPMAI = $(RDBMSLIB)impdrv.$(OBJ_EXT)
EXPMAI = $(RDBMSLIB)exudrv.$(OBJ_EXT)
LDRMAI = $(RDBMSLIB)ulmai.$(OBJ_EXT)
MIGMAI = $(RDBMSLIB)kumain.$(OBJ_EXT)
SCNMAI = $(RDBMSLIB)zsmsdrv.$(OBJ_EXT)
MXMMAI = $(RDBMSLIB)maxmem.$(OBJ_EXT)
DBGMAI = $(RDBMSLIB)dbfmig.$(OBJ_EXT)
SYSRESVMAI = $(RDBMSLIB)sysresv.$(OBJ_EXT)
TSMMAI = $(RDBMSLIB)tstshm.$(OBJ_EXT)
TKPMAI = $(RDBMSLIB)s0kvpf.$(OBJ_EXT)
GOCMAI = $(RDBMSLIB)genoci.$(OBJ_EXT)
PWDMAI = $(RDBMSLIB)s0kuzr.$(OBJ_EXT)
DBFMAI = $(RDBMSLIB)dbfsize.$(OBJ_EXT)
CURMAI = $(RDBMSLIB)cursize.$(OBJ_EXT)
DBVMAI = $(RDBMSLIB)kudbv.$(OBJ_EXT)
SSDBED=$(RDBMSLIB)ssdbaed.$(OBJ_EXT)
TDSMAI = $(RDBMSLIB)kopc.$(OBJ_EXT)
EXTPMAI = $(RDBMSLIB)hormc.$(OBJ_EXT)
AGTCLMAI = $(RDBMSLIB)hout.$(OBJ_EXT)
AGTCLSUR = $(RDBMSLIB)shou.$(OBJ_EXT)
GMSMAI = $(RDBMSLIB)/skgxgd.$(OBJ_EXT) $(RDBMSLIB)/kgxgd.$(OBJ_EXT)	$(RDBMSLIB)/kgxgm.$(OBJ_EXT)
GMCTLM = $(RDBMSLIB)skgxgk.$(OBJ_EXT) $(RDBMSLIB)kgxgk.$(OBJ_EXT)
SSORED = $(RDBMSLIB)ssoraed.$(OBJ_EXT)
TTCSOI = $(RDBMSLIB)ttcsoi.$(OBJ_EXT)
ARCMAI = $(RDBMSLIB)archmon.$(OBJ_EXT)
OSHMAI = $(RDBMSLIB)osh.$(OBJ_EXT)
GKSMAI = $(RDBMSLIB)genksms.$(OBJ_EXT)
GKDMAI = $(RDBMSLIB)genksmdef.$(OBJ_EXT)
GKFMAI = $(RDBMSLIB)genkflat.$(OBJ_EXT)
SSKRMED = $(RDBMSLIB)sskrmed.$(OBJ_EXT)
SKRMPT = $(RDBMSLIB)skrmpt.$(OBJ_EXT)
SBBDPT = $(RDBMSLIB)sbbdpt.$(OBJ_EXT)
SSBBDED = $(RDBMSLIB)ssbbded.$(OBJ_EXT)
SKRSPT = $(RDBMSLIB)skrspt.$(OBJ_EXT)
SSKRSED = $(RDBMSLIB)sskrsed.$(OBJ_EXT)
KGPPMAI = $(RDBMSLIB)kgupc.$(OBJ_EXT)
KGMGRC = $(RDBMSLIB)kgutc.$(OBJ_EXT)	        # kgmgr
LOADPSPMAI = $(RDBMSLIB)wpspldrv.$(OBJ_EXT)	# loadpsp

ORACLE=$(RDBMSBIN)oracle$(EXE_SUFFIX)
IMP=$(RDBMSBIN)imp$(EXE_SUFFIX)
EXP=$(RDBMSBIN)exp$(EXE_SUFFIX)
SQLLDR=$(RDBMSBIN)sqlldr$(EXE_SUFFIX)
SQLLDR_LIL=$(RDBMSBIN)sqlldr_lil$(EXE_SUFFIX)
MIG=$(RDBMSBIN)mig$(EXE_SUFFIX)
SCN=$(RDBMSBIN)csscan$(EXE_SUFFIX)
DBVERIFY=$(RDBMSBIN)dbv$(EXE_SUFFIX)
TSTSHM=$(RDBMSBIN)tstshm$(EXE_SUFFIX)
MAXMEM=$(RDBMSBIN)maxmem$(EXE_SUFFIX)
DBFMIG=$(RDBMSBIN)dbfmig$(EXE_SUFFIX)
SYSRESVER=$(RDBMSBIN)sysresv$(EXE_SUFFIX)
ORAPWD=$(RDBMSBIN)orapwd$(EXE_SUFFIX)
TKPROF=$(RDBMSBIN)tkprof$(EXE_SUFFIX)
DBFSIZE=$(RDBMSBIN)dbfsize$(EXE_SUFFIX)
CURSIZE=$(RDBMSBIN)cursize$(EXE_SUFFIX)
RMAN=$(RDBMSBIN)rman$(EXE_SUFFIX)
GENOCI=$(RDBMSBIN)genoci$(EXE_SUFFIX)
GENKFLAT=$(RDBMSBIN)genkflat$(EXE_SUFFIX)
GENKSMDEF=$(RDBMSBIN)genksmdef$(EXE_SUFFIX)
SVRMGRL=$(RDBMSBIN)svrmgrl$(EXE_SUFFIX)
TDSCOMP=$(RDBMSBIN)tdscomp$(EXE_SUFFIX)
EXTPROC=$(RDBMSBIN)extproc$(EXE_SUFFIX)
HSALLOCI=$(RDBMSBIN)hsalloci$(EXE_SUFFIX)
HSDEPXA=$(RDBMSBIN)hsdepxa$(EXE_SUFFIX)
HSOTS=$(RDBMSBIN)hsots$(EXE_SUFFIX)
HSODBC=$(RDBMSBIN)hsodbc$(EXE_SUFFIX)
HSOLEFS=$(RDBMSBIN)hsolefs$(EXE_SUFFIX)
HSOLESQL=$(RDBMSBIN)hsolesql$(EXE_SUFFIX)
TG4IFMX=$(RDBMSBIN)tg4ifmx$(EXE_SUFFIX)
TG4INGR=$(RDBMSBIN)tg4ingr$(EXE_SUFFIX)
TG4MSQL=$(RDBMSBIN)tg4msql$(EXE_SUFFIX)
TG4RDB=$(RDBMSBIN)tg4rdb$(EXE_SUFFIX)
TG4RMS=$(RDBMSBIN)tg4rms$(EXE_SUFFIX)
TG4SYBS=$(RDBMSBIN)tg4sybs$(EXE_SUFFIX)
AGTCTL=$(RDBMSBIN)agtctl$(EXE_SUFFIX)
OGMS=$(RDBMSBIN)ogms$(EXE_SUFFIX)
OGMSCTL=$(RDBMSBIN)ogmsctl$(EXE_SUFFIX)
ARCHMON=$(RDBMSBIN)archmon$(EXE_SUFFIX)
OSH=$(RDBMSBIN)osh$(EXE_SUFFIX)
RMAN=$(RDBMSBIN)rman$(EXE_SUFFIX)
BBED=$(RDBMSBIN)bbed$(EXE_SUFFIX)
SBTTEST=$(RDBMSBIN)sbttest$(EXE_SUFFIX)
KGPMON=$(RDBMSBIN)kgpmon$(EXE_SUFFIX)
KGMGR=$(RDBMSBIN)kgmgr$(EXE_SUFFIX)
LOADPSP=$(RDBMSBIN)loadpsp$(EXE_SUFFIX)

ORACLE_LINKLINE=$(LINK) $(PL_FLAGS) $(ORAMAI) $(SSORED) $(TTCSOI) $(KPUASVR)\
	$(NAETTOBJS) $(CONFIG) $(SPOBJS) $(LLIBSERVER) $(LLIBSKGXP) \
	$(LLIBRDBMS_SERVER) $(DEF_OPT) $(LLIBKNLOPT) $(LLIBSLAX) $(LLIBPLSQL) \
	$(LLIBSERVER) $(LLIBRDBMS_SERVER) $(LLIBKNLOPT) $(LLIBSLAX) \
	$(LLIBPLSQL) $(NMLIBS) $(LLIBICX) $(LLIBOWSUTL) $(LLIBJAVAVMORJOX) \
	$(LLIBWWG) $(LLIBOBK) $(ORACLETTLIBS1) $(LLIBSERVER) $(SDOLIBS) \
	$(CARTLIBS) $(CORELIBS) $(LINKLDLIBS) $(PL_ORALIBS)
IMP_LINKLINE=$(LINK) $(OPT) $(IMPMAI) $(SSDBED) $(DEF_OPT) $(LIBDBTOOLS) \
	$(LINKTTLIBS)
EXP_LINKLINE=$(LINK) $(OPT) $(EXPMAI) $(SSDBED) $(DEF_OPT) $(LIBDBTOOLS) \
	$(LINKTTLIBS)
LDR_LINKLINE=$(LINK) $(OPT) $(LDRMAI) $(SSDBED) $(DEF_OPT) \
	$(RDBMSLIB)$(LIL_OFF) $(LIBDBTOOLS) $(LINKTTLIBS)
LIL_LINKLINE=$(LINK) $(OPT) $(LDRMAI) $(SSDBED) $(DEF_OPT) $(LIBDBTOOLS) \
	$(LIL_ON) $(LINKTTLIBS)
MIG_LINKLINE=$(LINK) $(OPT) $(MIGMAI) $(SSDBED) $(DEF_OPT) $(NAETTOBJS) \
	$(LIBDBTOOLS) $(ORACLETTLIBS) $(LINKLDLIBS) $(CLNTLDFLAGSLIST)
SCN_LINKLINE=$(LINK) $(SCNMAI) $(LIBDBTOOLS) $(LINKTTLIBS) $(LLIBTHREAD)
DBV_LINKLINE=$(LINK) $(OPT) $(DBVMAI) $(SSDBED) $(DEF_OPT) $(LIBDBTOOLS) \
	$(LINKTTLIBS)
TSTSHM_LINKLINE=$(LINK) $(OPT) $(TSMMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
MAXMEM_LINKLINE=$(LINK) $(OPT) $(MXMMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
DBFMIG_LINKLINE=$(LINK) $(OPT) $(DBGMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
SYSRESVER_LINKLINE=$(LINK) $(OPT) $(SYSRESVMAI) $(SSDBED) $(DEF_OFF) \
	$(LINKTTLIBS)
ORAPWD_LINKLINE=$(LINK) $(OPT) $(PWDMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
TKPROF_LINKLINE=$(LINK) $(OPT) $(TKPMAI) $(SSDBED) $(DEF_OPT) $(LINKTTLIBS)
DBFSIZE_LINKLINE=$(LINK) $(OPT) $(DBFMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
CURSIZE_LINKLINE=$(LINK) $(OPT) $(CURMAI) $(SSDBED) $(DEF_OPT) $(LINKTTLIBS)
RMAN_LINKLINE=$(LINK) $(OPT) $(S0MAIN) $(SSKRMED) $(SKRMPT) $(DEF_OPT) \
	$(LIBDBTOOLS) $(LLIBCLIENT) $(LLIBWTC) $(LLIBSQL) $(LLIBPLSQL) $(LLIBSLAX) \
	$(LLIBPLSQL) $(LINKTTLIBS)
GENOCI_LINKLINE=$(LINK) $(GOCMAI) $(LINKLDLIBS)
GENKFLAT_LINKLINE=$(LINK) $(GKFMAI) $(LINKLDLIBS)
SVRMGRL_LINKLINE=$(LINK) $(LLIBSVRM) $(DEF_OPT) $(LLIBCLIENT) $(LLIBWTC) $(LLIBSQL) \
	$(LINKTTLIBS) $(CLNTLDFLAGSLIST)
TDSCOMP_LINKLINE=$(LINK) $(OPT) $(TDSMAI) $(SSDBED) $(DEF_OPT) $(LINKTTLIBS)
EXTPROC_LINKLINE=$(LINK) $(OPT) $(EXTPMAI) $(PROD_EXTPROC_OPT) \
	$(HSALIB_SUBSET1) $(PROD_EXTPROC_LIBS) $(HSALIB_SUBSET2)
AGTCTL_LINKLINE=$(LINK) $(OPT) $(AGTCLMAI) $(HSALIB_SUBSET1) \
	$(AGTCLSUR) $(HSALIB_SUBSET2)
HSALLOCI_LINKLINE=$(LINK) $(OPT) $(HSALLMAI) $(HSALIB_SUBSET1) \
	$(HS_OCI_DRIVER) $(HS_XASWITCH_ORA) $(RDBMSLIB)$(XAD_OFF) \
	$(HSALIB_SUBSET2)
HSDEPXA_LINKLINE=$(LINK) $(OPT) $(HSDEPMAI) $(HSALIB_SUBSET1) \
	$(HS_DEP_DRIVER) $(RDBMSLIB)$(XAD_OFF) \
	$(HSALIB_SUBSET2)
HSOTS_LINKLINE=$(LINK) $(OPT) $(HSOTSMAI) $(HSALIB_SUBSET1) \
	$(HS_OTS_DRIVER) $(HS_XASWITCH_ORA) $(RDBMSLIB)$(XAD_OFF) \
	$(HSALIB_SUBSET2)
HSODBC_LINKLINE= $(LINK) $(OPT) $(HSODBCMAI) $(HSALIBSET)
HSOLEFS_LINKLINE= $(LINK) $(OPT) $(HSOLEFSMAI) $(HSALIBSET)
HSOLESQL_LINKLINE= $(LINK) $(OPT) $(HSOLESQLMAI) $(HSALIBSET)
TG4IFMX_LINKLINE= $(LINK) $(OPT) $(TG4IFMXMAI) $(HSALIBSET)
TG4INGR_LINKLINE= $(LINK) $(OPT) $(TG4INGRMAI) $(HSALIBSET)
TG4MSQL_LINKLINE= $(LINK) $(OPT) $(TG4MSQLMAI) $(HSALIBSET)
TG4RDB_LINKLINE= $(LINK) $(OPT) $(TG4RDBMAI) $(HSALIBSET)
TG4RMS_LINKLINE= $(LINK) $(OPT) $(TG4RMSMAI) $(HSALIBSET)
TG4SYBS_LINKLINE= $(LINK) $(OPT) $(TG4SYBSMAI) $(HSALIBSET)
OGMS_LINKLINE=$(LINK) $(OPT) $(GMSMAI) $(SSDBED) $(DEF_OPT) $(LLIBSKGXP) \
	$(LINKTTLIBS)
OGMSCTL_LINKLINE=$(LINK) $(OPT) $(GMCTLM) $(SSDBED) $(DEF_OPT) $(LLIBSKGXP) \
	$(LINKTTLIBS)
ARCHMON_LINKLINE=$(LINK) $(OPT) $(ARCMAI) $(LINKTTLIBS)
OSH_LINKLINE=$(LINK) $(OSHMAI) $(LINKLDLIBS)
BBED_LINKLINE=$(LINK) $(S0MAIN) $(SSBBDED) $(SBBDPT) $(LLIBSQLNET) $(DEF_OPT) \
	$(LIBDBTOOLS) $(LINKTTLIBS)
SBTTEST_LINKLINE=$(LINK) $(S0MAIN) $(SSKRSED) $(SKRSPT) $(DEF_OPT) \
	$(SHAREDLIBPATH) $(LLIBOBK) $(LIBDBTOOLS) $(LINKTTLIBS)
KGPMON_LINKLINE=$(LINK) $(OPT) $(KGPPMAI) $(LLIBCLIENT) $(LLIBWTC) \
	$(DEF_OPT) $(LLIBSQL) $(LLIBPLSQL) $(LLIBSLAX) \
	$(LLIBPLSQL) $(LINKTTLIBS) $(LOC_LIBCLIENT)
IMAGEEXE_LINKLINE=$(LINK) $(OPT) $(IMAGEOBJS) $(SSDBED) $(DEF_OPT) \
	$(LLIBOBK) $(SQLLIBS) $(LIBDBTOOLS) $(LINKTTLIBS) $(THREADLIBS)
IMAGESHARE_LINKLINE=$(LINK) $(OPT) $(IMAGEOBJS) $(SSDBED) $(DEF_OPT) \
	$(LLIBOBK) $(LLIBCLNTSH) $(THREADLIBS) $(LINKLDLIBS)
KGMGR_LINKLINE=$(LINK) $(OPT) $(KGMGRC) $(LLIBCLIENT) $(LLIBWTC) \
	$(DEF_OPT) $(LLIBSQL) $(LLIBPLSQL) $(LLIBSLAX) \
	$(LLIBPLSQL) $(LIBDBTOOLS) $(LINKTTLIBS)
LOADPSP_LINKLINE=$(LINK) $(OPT) $(LOADPSPMAI) $(LIBDBTOOLS) $(LINKTTLIBS)

NMWARN=\
echo "Warning: No Cluster or Node Monitor library" ; \
echo "    Check value of CLUSTERDIR ($(CLUSTERDIR))" ; \
echo "    Linking against dummy cluster library.";

GENNMLIBLIST=\
$(SILENT)if $(ARPRINT) $(LIBKNLOPT) | $(GREP) '^'$(OPS_ON) > /dev/null ; then \
  if [ -d "$(CLUSTERDIR)" ]; then \
    if [ -f "$(LIBNM)" -o -f "$(LIBCLUST)" ]; then \
      echo > $(NMLIBLIST) ;  \
      if [ -f "$(LIBNM)" ] ; then\
        echo "$(LLIBNM)" >> $(NMLIBLIST) ;  \
      else \
        true ; \
      fi; \
      if [ -f "$(LIBCLUST)" ] ; then \
        echo "$(LLIBCLUST)" >> $(NMLIBLIST) ;  \
      else \
        true ; \
      fi ; \
    else \
      $(NMWARN) \
      $(ECHO) "$(NMOFF)" > $(NMLIBLIST) ; \
    fi ; \
  else \
    $(NMWARN) \
    $(ECHO) "$(NMOFF)" > $(NMLIBLIST) ; \
  fi; \
else \
  $(ECHO) "$(NMOFF)" > $(NMLIBLIST) ; \
fi

NMOFF=$(SKGXNS)

ALL_OPTS= $(RDBMSLIB)$(PLS_ON) \
	$(RDBMSLIB)$(OPS_ON) \
	$(RDBMSLIB)$(DDB_ON) \
	$(RDBMSLIB)$(SDO_ON) \
	$(RDBMSLIB)$(CTX_ON) \
	$(RDBMSLIB)$(OBJ_ON) \
	$(RDBMSLIB)$(PART_ON) \
	$(RDBMSLIB)$(LIL_OFF) \
	$(RDBMSLIB)$(KPT_OFF)

NO_OPTS= $(RDBMSLIB)$(PLS_ON) \
	$(RDBMSLIB)$(OPS_OFF) \
	$(RDBMSLIB)$(DDB_OFF) \
	$(RDBMSLIB)$(SDO_OFF) \
	$(RDBMSLIB)$(CTX_OFF) \
	$(RDBMSLIB)$(OBJ_OFF) \
	$(RDBMSLIB)$(PART_OFF) \
	$(RDBMSLIB)$(LIL_OFF) \
	$(RDBMSLIB)$(KPT_OFF)



SKGXPD_NAME=skgxpd
SKGXPD_SRC=skgxpd.c
SKGXPD_OBJ=$(RDBMSLIB)skgxpd.$(OBJ_EXT)
LIBSKGXPD_MEMBERS=$(LIBSKGXPD_STATIC)($(RDBMSLIB)skgxpd.$(OBJ_EXT))

SKGXPU_NAME=skgxpu
SKGXPU_SRC=skgxpu.c sskgxpu.c
SKGXPU_OBJ=$(RDBMSLIB)skgxpu.$(OBJ_EXT)	$(RDBMSLIB)sskgxpu.$(OBJ_EXT)
LIBSKGXPU_MEMBERS=$(LIBSKGXPU_STATIC)($(RDBMSLIB)skgxpu.$(OBJ_EXT))	\
		$(LIBSKGXPU_STATIC)($(RDBMSLIB)sskgxpu.$(OBJ_EXT))

SKGXPT_NAME=skgxpt
SKGXPT_SRC=skgxpt.c sskgxpt.c
SKGXPT_OBJ=$(RDBMSLIB)skgxpt.$(OBJ_EXT)	$(RDBMSLIB)sskgxpt.$(OBJ_EXT)
LIBSKGXPT_MEMBERS=$(LIBSKGXPT_STATIC)($(RDBMSLIB)skgxpt.$(OBJ_EXT))	\
		$(LIBSKGXPT_STATIC)($(RDBMSLIB)sskgxpt.$(OBJ_EXT))

SKGXP_NAME=skgxp$(RDBMS_VERSION)

DEP_LIBSKGXPD=$(LIBSKGXPD_STATIC)
DEP_LIBSKGXPT=$(LIBSKGXPT_STATIC)
DEP_LIBSKGXPU=$(LIBSKGXPU_STATIC)

CONFIG_COMPILE_LINE=$(AS) -P config.s

OCISHAREDLIBS=$(TTLIBS) $(LLIBTHREAD)
OCISTATICLIBS=$(STATICTTLIBS) $(LLIBTHREAD)
OCICCCSHAREDLIBS=$(OCISHAREDLIBS)
PCCC2O=$(CC) -c $(INCLUDE) $(PCCI) $*.c
CCC2O=$(CPLPL) -c $(INCLUDE) $<
BUILDEXE=$(CC) $(LDFLAGS) -o $(EXE) $(OBJS) $(OCISHAREDLIBS)
BUILDLIB_NO_CONTEXT=$(LD) $(SHARED_LDFLAG) $(SHARED_LIBNAME) $(OBJS)
BUILDLIB_WITH_CONTEXT=$(LD) $(SHARED_LDFLAG) $(SHARED_LIBNAME) $(OBJS) $(OCISHAREDLIBS) $(LIBEXTP)

# Entering /project/linux/817/ops_src/rdbms/s_rdbms.mk


RANLIBKNLOPT=
RANLIBORA=
OTHERST=
GENARGS=-n F
LDFLAGS_ORA=
LIBLISTRDBMS=
LLIBSQL=-lsql8
LLAIO=
LDLIBS+=$(NETLIBS) $(NETLIBS) $(NETLIBS) $(NETLIBS) $(NETLIBS) \
         $(LLIBSQL) $(LLIBSQL) 


CONFIG_COMPILE_LINE=$(CC) -c config.c 

CLUSTERDIR=$(ORACLE_HOME)/oracm
LIBCLUST=$(ORACLE_HOME)/lib/libcmdll.so
LLIBCLUST=-lcmdll
LIBOBKNAME=obk
LIBOBK=$(LIBHOME)$(LIB_PREFIX)$(LIBOBKNAME).$(SO_EXT)
LLIBOBK=$(LDLIBFLAG)$(LIBOBKNAME)

SYSLIBS +=`if [ -f /usr/lib/libsched.so ] ; then echo -lsched ; else true; fi` 

S_HSODBC=
S_HSOLEFS=
S_HSOLESQL=
S_TG4IFMX=
S_TG4INGR=
S_TG4MSQL=
S_TG4RDB=
S_TG4RMS=
S_TG4SYBS=

HSA_OSDLINK_PREPEND=
HSA_OSDLINK_APPEND=

PROD_EXTPROC_OPT= 
PROD_EXTPROC_LIBS= 



LIBSKGXPD_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPD_NAME).$(LIB_EXT)
LIBSKGXPU_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPU_NAME).$(LIB_EXT)
LIBSKGXPT_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPT_NAME).$(LIB_EXT)
LIBSKGXP_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXP_NAME).$(LIB_EXT)

$(LIBSKGXPD_STATIC):	$(LIBSKGXPD_MEMBERS)
$(LIBSKGXPU_STATIC):	$(LIBSKGXPU_MEMBERS)
$(LIBSKGXPT_STATIC):	$(LIBSKGXPT_MEMBERS)


LIBSKGXPD=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPD_NAME).$(SO_EXT)
LIBSKGXPU=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPU_NAME).$(SO_EXT)
LIBSKGXPT=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPT_NAME).$(SO_EXT)
LIBSKGXP=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXP_NAME).$(SO_EXT)

LIBSSKGXP_STATIC=$(LIBSKGXPD_STATIC) $(LIBSKGXPU_STATIC) $(LIBSKGXPT_STATIC)
LIBSSKGXP_SHARED=$(LIBSKGXPD)        $(LIBSKGXPU)        $(LIBSKGXPT)
EXTRALIBS += $(LIBSSKGXP_STATIC)
SHLIBS += $(LIBSKGXP)
LIBS += $(LIBSKGXP_STATIC)

$(LIBSKGXPD):	$(LIBSKGXPD_STATIC)
$(LIBSKGXPU):	$(LIBSKGXPU_STATIC)
$(LIBSKGXPT):	$(LIBSKGXPT_STATIC)

POST_SKGXP_UPDATE=



SKGXP_DEFAULT=ipc_none
SKGXP_OPS_ON=ipc_tcp

PL_FLAGS= -Wl,-E
PL_ORALIBS=

ORACLE_LINKLINE=$(LINK) $(PL_FLAGS) $(ORAMAI) $(SSORED) $(TTCSOI) $(KPUASVR)\
	$(NAETTOBJS) $(CONFIG) $(SPOBJS) $(LLIBSERVER) $(LLIBSKGXP) \
	$(LLIBRDBMS_SERVER) $(DEF_OPT) $(LLIBKNLOPT) $(LLIBSLAX) $(LLIBPLSQL) \
	$(LLIBSERVER) $(LLIBRDBMS_SERVER) $(LLIBKNLOPT) $(LLIBSLAX) \
	$(LLIBPLSQL) $(NMLIBS) $(LLIBICX) $(LLIBOWSUTL) $(LLIBJAVAVMORJOX) \
	$(LLIBWWG) $(LLIBOBK) $(NTZEOBJ) $(NETLIBS) $(LLIBRDBMS_SERVER) \
	$(LLIBMM) $(CORELIBS) $(NETLIBS) $(LLIBRDBMS_SERVER) $(LIBPLS_CLT) \
	$(LLIBEPC) $(CORELIBS) $(LLIBRDBMS_SERVER) $(CORELIBS) $(LLIBSERVER) \
	$(SDOLIBS) $(CARTLIBS) $(CORELIBS) $(LINKLDLIBS) $(PL_ORALIBS)

# Exiting /project/linux/817/ops_src/rdbms/s_rdbms.mk
# Exiting rdbms.mk
# Entering /project/linux/817/ops_src/buildtools/mkfile/libclntsh.mk
$(LIBCLNTSH):	${ORACLE_HOME}/lib/libclient8.a	${ORACLE_HOME}/lib/libsql8.a \
		${ORACLE_HOME}/lib/libntcp8.a	${ORACLE_HOME}/lib/libn8.a \
                ${ORACLE_HOME}/lib/libnl8.a	${ORACLE_HOME}/lib/libnldap8.a \
                ${ORACLE_HOME}/lib/libnhost8.a	${ORACLE_HOME}/lib/libntns8.a \
                ${ORACLE_HOME}/lib/libnoname8.a	${ORACLE_HOME}/lib/libnus8.a \
                ${ORACLE_HOME}/lib/libntcps8.a  ${ORACLE_HOME}/lib/libnro8.a \
	        ${ORACLE_HOME}/lib/libnsslb8.a	${ORACLE_HOME}/lib/libcommon8.a\
	        ${ORACLE_HOME}/lib/libgeneric8.a ${ORACLE_HOME}/lib/libmm.a\
	        ${ORACLE_HOME}/lib/libnls8.a	${ORACLE_HOME}/lib/libcore8.a\
		${ORACLE_HOME}/lib/libtrace8.a  ${ORACLE_HOME}/lib/libwtc8.$(SO_EXT)\
		${ORACLE_HOME}/rdbms/lib/xaondy.o
	$(SILENT)$(ECHO) "Building client shared library libclntsh.so ..."
	$(SILENT)$(ECHO) "Call script $$ORACLE_HOME/bin/genclntsh ..."
	$(GENCLNTSH)
	$(SILENT)$(ECHO) "Built $$ORACLE_HOME/lib/libclntsh.so ... DONE"

# Exiting /project/linux/817/ops_src/buildtools/mkfile/libclntsh.mk

#
# FreeBSD port overrides
OCISHAREDLIBS=	$(OCISTATICLIBS)
OCISTATICLIBS=	-lclntst8 $(SYSLIBS)
LIBCLNTSH=	$(LIBCLNTST)
